jQuery(document).ready(function(){
	dap_member_tiny_editor();
	
	dap_create_member_engagement_style_events();
	
	jQuery(document).on('click' ,'.first_tab_save' ,function(e){
		e.preventDefault();
		saveFirstTab('first', 'course_completed');
	});

	jQuery(document).on('click' ,'.second_tab_save' ,function(e){
		e.preventDefault();
		saveFirstTab('second', 'course_inprogress');
	});

	jQuery(document).on('click' ,'.third_tab_save' ,function(e){
		e.preventDefault();
		saveFirstTab('third', 'course_enrolled');
	});
	
	jQuery(document).on('click' ,'.fourth_tab_save' ,function(e){
		e.preventDefault();
		saveFirstTab('fourth', 'course_upsell');
	});

	jQuery(document).on('click' ,'.fifth_tab_save' ,function(e){
		e.preventDefault();
		saveFirstTab('fifth', 'normal_products');
	});

	jQuery(document).on('click' ,'.sixth_tab_save' ,function(e){
		e.preventDefault();
		saveFirstTab('sixth', 'upsell_products');
	});

	jQuery(document).on('click' ,'.seventh_tab_save' ,function(e){
		e.preventDefault();
		saveFirstTab('seventh', 'points');
	});

	jQuery(document).on('click' ,'.eighth_tab_save' ,function(e){
		e.preventDefault();
		saveFirstTab('eighth', 'all_badges');
	});

	jQuery(document).on('click' ,'.ninth_tab_save' ,function(e){
		e.preventDefault();
		saveFirstTab('ninth', 'all_certificates');
	});

	jQuery(document).on('click' ,'.livePreviewOuterBtn' ,function(e){
		e.preventDefault();
		livePreview();
	});
	
	jQuery(document).on('click' ,'.useOwnTemplate' ,function(){
		jQuery('.useOwnTemplateOuter').show();
		jQuery('.manage_engagement_outer').hide();
	})
		
	jQuery(document).on('change' ,'.all_productslist' ,function(){
		var id = jQuery(this).attr('id');
		var name = jQuery(this).val();
		if(jQuery(this).prop('checked') == true){
			jQuery('.hiddenCourses').show();
			jQuery('.hiddenCoursesPreview').append('<li data-id="'+id+'" class="'+id+'"><span class="mr-1">'+name+'</span></li>');	
		}else{
			jQuery('.hiddenCoursesPreview .'+id).remove();
		}	
	});
	
	jQuery(document).on('click' , '.me-listing-item' ,function(e){
		e.preventDefault();
		var showClass = jQuery(this).attr('data-id');	
		jQuery('.hideShowTabCommon').hide();
		jQuery('.'+showClass+'Outer').show();
		jQuery('.me-listing-item').removeClass('active');
		jQuery(this).addClass('active');
	})
	
	jQuery(document).on('change', '#myModalStart .template_container_outer input',function(){		 
			var temp_val = jQuery(this).val();			 
			var select_section = jQuery('#select_section').val();	
			if(temp_val =="template2"){
				if(jQuery('.'+select_section+'_outer_wrapper').length != 0){
				   jQuery('.'+select_section+'_outer_wrapper').find('input[name="template_no"]').val('verticle_temp');
				}
			}else{
				if(jQuery('.'+select_section+'_outer_wrapper').length != 0){
				   jQuery('.'+select_section+'_outer_wrapper').find('input[name="template_no"]').val('');
				}
			}	
	 }); 
	
	
});



function dap_create_member_engagement_style_events(){
	
	// template outer style 
	
	jQuery('#first_temp_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_course_completed_section').find('.completed-course-block').css('width', this.value + 'px');
	});
	
	jQuery('#first_temp_border_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_course_completed_section').find('.completed-course-block').css('border-width', this.value + 'px');
	});
	
	/*jQuery('#first_temp_border_radius').bootstrapSlider().change(function() {
		jQuery('.completed-course-block').css('border-radius', this.value + 'px');
	});*/
	
	jQuery('#first_temp_bg_clr_div,#first_temp_bg_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_course_completed_section').find('.completed-course-block').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#first_temp_bg_bdr_clr_div,#first_temp_bg_bdr_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_course_completed_section').find('.completed-course-block').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#first_temp_border_style').change(function(){
		jQuery('.dap_member_temp_course_completed_section').find('.completed-course-block').css('border-style', jQuery(this).val());	
	});
	
	jQuery('#first_temp_img_width').bootstrapSlider().change(function(){
		jQuery('.dap_member_temp_course_completed_section').find('.completed-course-icon').css('max-width', this.value + 'px');	
	});
	
	
	/*second tab*/
	
	jQuery('#second_temp_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_course_inprogress_section').find('.progress-bar-outer').css('width', this.value + 'px');
	});
	
	jQuery('#second_temp_border_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_course_inprogress_section').find('.progress-bar-outer').css('border-width', this.value + 'px');
	});
	
	/*jQuery('#first_temp_border_radius').bootstrapSlider().change(function() {
		jQuery('.completed-course-block').css('border-radius', this.value + 'px');
	});*/
	
	jQuery('#second_temp_bg_clr_div,#second_temp_bg_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_course_inprogress_section').find('.progress-bar-outer').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#second_temp_bg_bdr_clr,#second_temp_bg_bdr_clr_div').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_course_inprogress_section').find('.progress-bar-outer').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#second_temp_border_style').change(function(){
		jQuery('.dap_member_temp_course_inprogress_section').find('.progress-bar-outer').css('border-style', jQuery(this).val());	
	});
	
	/*jQuery('#second_temp_img_width').bootstrapSlider().change(function(){
		jQuery('.progress-bar-outer').css('max-width', this.value + 'px');	
	});*/


	/*third tab*/
	
	jQuery('#third_temp_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_course_enrolled_section').find('.completed-course-block').css('width', this.value + 'px');
	});
	
	jQuery('#third_temp_border_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_course_enrolled_section').find('.completed-course-block').css('border-width', this.value + 'px');
	});
	
	/*jQuery('#first_temp_border_radius').bootstrapSlider().change(function() {
		jQuery('.completed-course-block').css('border-radius', this.value + 'px');
	});*/
	
	jQuery('#third_temp_bg_clr_div,#third_temp_bg_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_course_enrolled_section').find('.completed-course-block').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#third_temp_bg_bdr_clr_div,#third_temp_bg_bdr_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_course_enrolled_section').find('.completed-course-block').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#third_temp_border_style').change(function(){
		jQuery('.dap_member_temp_course_enrolled_section').find('.completed-course-block').css('border-style', jQuery(this).val());	
	});
	
	jQuery('#third_temp_img_width').bootstrapSlider().change(function(){
		jQuery('.dap_member_temp_course_enrolled_section').find('.completed-course-icon').css('max-width', this.value + 'px');	
	});
	
	/*fourth tab*/
	
	jQuery('#fourth_temp_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_course_upsell_section').find('.completed-course-block').css('width', this.value + 'px');
	});
	
	jQuery('#fourth_temp_border_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_course_upsell_section').find('.completed-course-block').css('border-width', this.value + 'px');
	});
	
	/*jQuery('#first_temp_border_radius').bootstrapSlider().change(function() {
		jQuery('.completed-course-block').css('border-radius', this.value + 'px');
	});*/
	
	jQuery('#fourth_temp_bg_clr_div,#fourth_temp_bg_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_course_upsell_section').find('.completed-course-block').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#fourth_temp_bg_bdr_clr_div,#fourth_temp_bg_bdr_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_course_upsell_section').find('.completed-course-block').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#fourth_temp_border_style').change(function(){
		jQuery('.dap_member_temp_course_upsell_section').find('.completed-course-block').css('border-style', jQuery(this).val());	
	});
	
	jQuery('#fourth_temp_img_width').bootstrapSlider().change(function(){
		jQuery('.dap_member_temp_course_upsell_section').find('.completed-course-icon').css('max-width', this.value + 'px');	
	});
	
	/*fifth tab*/
	
	jQuery('#fifth_temp_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_normal_products_section').find('.completed-course-block').css('width', this.value + 'px');
	});
	
	jQuery('#fifth_temp_border_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_normal_products_section').find('.completed-course-block').css('border-width', this.value + 'px');
	});
	
	/*jQuery('#fifth_temp_border_radius').bootstrapSlider().change(function() {
		jQuery('.completed-course-block').css('border-radius', this.value + 'px');
	});*/
	
	jQuery('#fifth_temp_bg_clr_div,#fifth_temp_bg_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_normal_products_section').find('.completed-course-block').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#fifth_temp_bg_bdr_clr_div,#fifth_temp_bg_bdr_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_normal_products_section').find('.completed-course-block').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#fifth_temp_border_style').change(function(){
		jQuery('.dap_member_temp_normal_products_section').find('.completed-course-block').css('border-style', jQuery(this).val());	
	});
	
	jQuery('#fifth_temp_img_width').bootstrapSlider().change(function(){
		jQuery('.dap_member_temp_normal_products_section').find('.completed-course-icon').css('max-width', this.value + 'px');	
	});
	
	
	/*sixth tab*/
	
	jQuery('#sixth_temp_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_upsell_products_section').find('.completed-course-block').css('width', this.value + 'px');
	});
	
	jQuery('#sixth_temp_border_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_upsell_products_section').find('.completed-course-block').css('border-width', this.value + 'px');
	});
	
	/*jQuery('#sixth_temp_border_radius').bootstrapSlider().change(function() {
		jQuery('.completed-course-block').css('border-radius', this.value + 'px');
	});*/
	
	jQuery('#sixth_temp_bg_clr_div,#sixth_temp_bg_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_upsell_products_section').find('.completed-course-block').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#sixth_temp_bg_bdr_clr_div,#sixth_temp_bg_bdr_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_upsell_products_section').find('.completed-course-block').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#sixth_temp_border_style').change(function(){
		jQuery('.dap_member_temp_upsell_products_section').find('.completed-course-block').css('border-style', jQuery(this).val());	
	});
	
	jQuery('#sixth_temp_img_width').bootstrapSlider().change(function(){
		jQuery('.dap_member_temp_upsell_products_section').find('.completed-course-icon').css('max-width', this.value + 'px');	
	});
	
	/*seventh tab*/
	
	jQuery('#seventh_temp_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_points_section').css('width', this.value + 'px');
	});
	
	jQuery('#seventh_temp_border_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_temp_points_section').css('border-width', this.value + 'px');
	});
	
	/*jQuery('#seventh_temp_border_radius').bootstrapSlider().change(function() {
		jQuery('.completed-course-block').css('border-radius', this.value + 'px');
	});*/
	
	jQuery('#seventh_temp_bg_clr_div,#seventh_temp_bg_clr').colorpicker().on('changeColor', function() {
		 jQuery('.dap_member_temp_points_section').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#seventh_temp_bg_bdr_clr_div,#seventh_temp_bg_bdr_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_temp_points_section').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#seventh_temp_border_style').change(function(){
		jQuery('.dap_member_temp_points_section').css('border-style', jQuery(this).val());	
	});
	
	/*jQuery('#seventh_temp_img_width').bootstrapSlider().change(function(){
		jQuery('.completed-course-icon').css('max-width', this.value + 'px');	
	});*/
	
	/*eighth tab*/
	
	jQuery('#eighth_temp_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_badges_section ').css('width', this.value + 'px');
	});
	
	jQuery('#eighth_temp_border_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_badges_section').css('border-width', this.value + 'px');
	});
	
	/*jQuery('#eighth_temp_border_radius').bootstrapSlider().change(function() {
		jQuery('.completed-course-block').css('border-radius', this.value + 'px');
	});*/
	
	jQuery('#eighth_temp_bg_clr_div,#eighth_temp_bg_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_badges_section ').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#eighth_temp_bg_bdr_clr_div,#eighth_temp_bg_bdr_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_badges_section ').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#eighth_temp_border_style').change(function(){
		jQuery('.dap_member_badges_section ').css('border-style', jQuery(this).val());	
	});
	
	jQuery('#eighth_temp_img_width').bootstrapSlider().change(function(){
		jQuery('.dap_member_badges_section ').find('.engagement-badges-item').css('max-width', this.value + 'px');	
	});
	
	/*ninth tab*/
	
	jQuery('#ninth_temp_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_certificates_section ').css('width', this.value + 'px');
	});
	
	jQuery('#ninth_temp_border_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_certificates_section ').css('border-width', this.value + 'px');
	});
	
	/*jQuery('#eighth_temp_border_radius').bootstrapSlider().change(function() {
		jQuery('.completed-course-block').css('border-radius', this.value + 'px');
	});*/
	
	jQuery('#ninth_temp_bg_clr_div,#ninth_temp_bg_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_certificates_section ').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#ninth_temp_bg_bdr_clr_div,#ninth_temp_bg_bdr_clr').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_certificates_section ').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#ninth_temp_border_style').change(function(){
		jQuery('.dap_member_certificates_section ').css('border-style', jQuery(this).val());	
	});
	
	jQuery('#ninth_temp_img_width').bootstrapSlider().change(function(){
		jQuery('.dap_member_certificates_section  .engagement-badges-item').css('max-width', this.value + 'px');	
	});
	/*jQuery('#dm_engagement_temp_border_width').bootstrapSlider().change(function() {
		jQuery('.dap_member_engagement-inner').css('border-width', this.value + 'px');
		
	});
	
	
	jQuery('#dm_engagement_temp_border_style').on('change',function() {
		jQuery('.dap_member_engagement-inner').css('border-style', jQueryDM(this).val());
		
	});
	
	jQuery('#dm_engagement_temp_border_color_div,#dm_engagement_temp_border_color').colorpicker().on('changeColor', function() {
		jQuery('.dap_member_engagement-inner').css('background-color', jQueryDM(this).colorpicker('getValue')); 
	});
	
	jQuery('#dm_engagement_temp_border_radius').bootstrapSlider().change(function() {
		jQuery('.dap_member_engagement-inner').css('border-radius',jQueryDM(this).val());
		
	});
	
	
	jQuery('#dm_section_engagement_temp_background_color,#dm_section_engagement_temp_background_color_div').colorpicker().on('changeColor', function() {
		jQuery('.dap_m_engagement-inner-item').css('background-color', jQueryDM(this).colorpicker('getValue')); 
	});
	
	jQuery('#dm_engagement_temp_shadow_color_div,#dm_engagement_temp_shadow_color').colorpicker().on('changeColor', function() {
		
		dap_member_engagement_BoxShadow();
	});
	
	jQuery('#dm_engagement_temp_shadow_spread_radius').bootstrapSlider().change(function() {
		dap_member_engagement_BoxShadow();
		
	});
	jQuery('#dm_engagement_temp_shadow_blur_radius').bootstrapSlider().change(function() {
		dap_member_engagement_BoxShadow();
		
	});
	
	jQuery('#dm_engagement_temp_shadow_horizontal_length').bootstrapSlider().change(function() {
		dap_member_engagement_BoxShadow();
		
	});
	jQuery('#dm_engagement_temp_shadow_vertical_length').bootstrapSlider().change(function() {
		dap_member_engagement_BoxShadow(); 
		
	});*/
	
}

function livePreview(){
	
	var html = jQuery('.Template-Customize-content-inner').html();
	var hideList = [];
	jQuery('.all_productslist').each(function(){
		if(jQuery(this).prop('checked') == true){
			hideList.push(jQuery(this).attr('id'));	
		}	
	});
	
	jQuery.post(ajaxurl, {
		action: "dapBuiltOwnPreviewAjax",
		html: html,
		hideList: hideList,
	},function(response) {
		jQuery('.livePreviewOuter').html(response);
		jQuery('.livePreviewOuter .backendVisibility').hide();
		jQuery('.livePreviewOuter .frontendVisibility').show();
		jQuery('.livePreviewOuter').show();
	});	
}


function saveFirstTab(tab, type){
	jQuery('.frontendVisibility').html(jQuery('.backendVisibility').html());
	if(jQuery('.frontendVisibility').find(':last').length == 0){
		jQuery('.frontendVisibility').html('%%PRODUCT_NAME%%');
	}else{
		jQuery('.frontendVisibility').find(':last').html('%%PRODUCT_NAME%%');
	}	
	
	var template_type = type;
	var id = jQuery('.'+template_type+'_outer_wrapper').find('.engagement_edit_id').val();
	
	
	var first_temp_width = jQuery('#'+tab+'_temp_width').val();
	var first_temp_img_width = '0';  
	if((type == 'course_completed') || (type == 'course_enrolled') || (type == 'course_upsell') || (type == 'upsell_products') || (type == 'all_badges') || (type == 'all_certificates')){
		 first_temp_img_width = jQuery('#'+tab+'_temp_img_width').val();
	}else{
		 first_temp_img_width = '0';
	}
	
	var first_temp_bg_clr = jQuery('#'+tab+'_temp_bg_clr').val();
	var first_temp_border_width = jQuery('#'+tab+'_temp_border_width').val();
	var first_temp_bg_bdr_clr = jQuery('#'+tab+'_temp_bg_bdr_clr').val();
	var first_temp_border_style = jQuery('#'+tab+'_temp_border_style').val();
	
	
	var html = jQuery('.'+template_type+'_outer_wrapper').find('.Template-Customize-content-inner').html();
	var name = jQuery('.'+tab+'_tab_name').val();
	
	if(tab == 'first'){
		var template_html = jQuery('.'+tab+'-content-inner #course_completed_section:visible').find(':first-child').html();
	}else if(tab == 'second'){
		var template_html = '<div class="progress-bar-outer dme_backend_hide">%%COURSE_STARTED_BUT_NOT_COMPETE%%</div>';
	}
	
	if((type == 'points') || (type == 'all_badges') || (type == 'all_certificates')){
		template_html = html;
		
		
	}
	template_html = encodeURIComponent(template_html);
	html = encodeURIComponent(html);
	
	var type = 'self';
	var showSlider = '';
	var num_of_products = '';
	var total_no_item = '';
	
	if(jQuery("#myModalDisplayoptions_"+template_type).length !=0){
		
		var num_of_products = jQuery("#myModalDisplayoptions_"+template_type).find('input[name="no_of_row"]').val();
		var showSlider =      jQuery("#myModalDisplayoptions_"+template_type).find('select[name="dispaly_row_type"]').val();
	     var total_no_item = jQuery("#myModalDisplayoptions_"+template_type).find('input[name="total_no_item"]').val();
	}
	
	if( (type == 'all_badges') || (type == 'all_certificates')){
		 /* var num_of_products = jQuery(".num_of_products").val();
		  var showSlider = jQuery(".showSlider").val();
		  var showSlider =      jQuery("#myModalDisplayoptions_"+template_type).find('select[name="dispaly_row_type"]').val();
	      var total_no_item = jQuery("#myModalDisplayoptions_"+template_type).find('input[name="total_no_item"]').val();
	      */
	}
	
	
	var hideList = [];
	jQuery('.'+template_type+'_outer_wrapper').find('.all_productslist').each(function(){
		if(jQuery(this).prop('checked') == true){
			hideList.push(jQuery(this).attr('id'));	
		}	
	});
	var section_template_no =  jQuery('.'+template_type+'_outer_wrapper').find('input[name="template_no"]').val();
	var customizedValues = first_temp_width+'||'+first_temp_img_width+'||'+first_temp_bg_clr+'||'+first_temp_border_width+'||'+first_temp_bg_bdr_clr+'||'+first_temp_border_style;
	
	
	dap_member_show_loader();
	jQuery.post(ajaxurl, {
		action: "dapSaveBuiltOwnDataAjax",
		id: id,
		html: html,
		hideList: hideList,
		name: name,
		template_type: template_type,
		type: type,
		showSlider: showSlider,
		num_of_products: num_of_products,
		customizedValues: customizedValues,
		template_num: 'template1',
		template_html: template_html,
		total_no_item: total_no_item,
		section_template_no:section_template_no,
	},function(response) {
		response = JSON.parse(response);
		dap_member_hide_loader();
		if(response.engagement_id){
			jQuery('.'+template_type+'_outer_wrapper').find('.engagement_edit_id').val(response.engagement_id);
			dap_member_sweet_alert_popup_with_msg_type('','Saved Successfully','success');
		}
		
	});
}



function dap_member_engagement_customize_temp_by_section(template_name , template_number_name){    
	
	dap_member_show_loader();
	jQueryDM.post(ajaxurl, {
		action: 'dap_member_get_engagement_section_template',
		template_name:template_name,
		template_number_name: template_number_name,
	}, function(response) {
		response = JSON.parse(response);
		if(response.html){
			dap_member_hide_loader();
			
			jQuery("."+template_number_name+"_outer_wrapper").find('#container_template1').addClass('active_template_cls');
			jQuery("."+template_number_name+"_outer_wrapper").find('.Template-Customize-content-inner').html(response.html);
			dap_member_tiny_editor();
			
			//set default values of color picker
	    if(response.default_colorpicker_values){
			var data = response.default_colorpicker_values;
			
			for (var key in data) {
				jQueryDM('#'+key).colorpicker('setValue',data[key]);
			}
		}	
		
		if(response.default_numaric_values){
			var data = response.default_numaric_values;
			
			for (var key in data) {
				jQueryDM('#'+key).bootstrapSlider('setValue',data[key]);
			}
		}
		
		if(response.default_style_values){
			var data = response.default_style_values;
			
			for (var key in data) {
				jQueryDM('#'+key).val(data[key]);
			}
		}
	 	dap_member_hide_loader();
	 	
			
		}
		
		//
	});
}
