jQuery(document).ready(function(){
	jQuery(document).on('change', '.diffLoggedInMenu', function(){
		if(jQuery(this).val() == 'Y'){
			jQuery('.commonHideShowMenuOuter').css('display', 'flex');
		}else{
			jQuery('.commonHideShowMenuOuter').hide();
		}
	});

	jQuery(document).on('click', '.saveDiffLoggedInMenu', function(e){
		e.preventDefault();
		dap_member_show_loader();
		var diffLoggedInMenu = jQuery('.diffLoggedInMenu').val();
		var loggedInMenu = jQuery('.selectLoggedInMenu').val();
		var loggedOutMenu = jQuery('.selectLoggedOutMenu').val();
		var edit_id = jQuery('.loggedInId').val();
		jQuery('.commonNotificationShowHide').hide();
		if(diffLoggedInMenu == 'Y'){
			if(loggedInMenu == '' && loggedOutMenu == ''){
				var msg = 'You need to select at least one menu.';
				jQuery('.loggedInMenuNotification').html(msg);
				jQuery('.loggedInMenuNotification').parent().css('display', 'inline-block');
				dap_member_hide_loader();
				return false;	
			}else if(loggedInMenu == loggedOutMenu){
				jQuery('.loggedInMenuNotification').html("Sorry, can't select the same menu for both logged-in and logged-out state.");
				jQuery('.loggedInMenuNotification').parent().css('display', 'inline-block');
				dap_member_hide_loader();
				return false;
			}else if(loggedInMenu == ''){
				var loggedOutMsg = jQuery(".selectLoggedOutMenu option:selected").text();
				var msg = "For logged-out users, DAP will display this menu - "+loggedOutMsg+"</br> For logged-in users, whatever menu you have configured on the page will be displayed";
				jQuery('.loggedInfoNotification').html(msg);
				jQuery('.loggedInfoNotification').parent().css('display', 'inline-block');
				//dap_member_hide_loader();
				//return false;	
			}else if(loggedOutMenu == ''){
				var loggedInMsg = jQuery(".selectLoggedInMenu option:selected").text();
				var msg = "For logged-in users, DAP will display this menu - "+loggedInMsg+" </br> For other users, whatever menu you have configured on the page will be displayed";
				jQuery('.loggedInfoNotification').html(msg);
				jQuery('.loggedInfoNotification').parent().css('display', 'inline-block');
				//dap_member_hide_loader();
				//return false;
			}
		}
		jQuery.post(ajaxurl, {
			action: 'dapDiffLoggedInMenu',
			diffLoggedInMenu: diffLoggedInMenu,
			loggedInMenu: loggedInMenu,
			loggedOutMenu: loggedOutMenu,
			edit_id: edit_id,
		}, function(response) {
			dap_member_hide_loader();
			jQuery('.loggedSavedSuccess').html('Saved Successfully');
			jQuery('.loggedSavedSuccess').parent().css('display', 'inline-block');
			response = JSON.parse(response);
			jQuery('.loggedInId').val(response.id);
		});
	});

});