jQuery(document).ready(function(){
    
    dap_member_tiny_editor();	
	members_cancellation_customizer();
	//members_cancellation_customizer_default();
	
	jQuery('#pause_resume_select').change(function(){
		
		if(jQuery(this).val() == 'N'){
			jQuery('.pause_resume_outer').hide();
		}else{
			jQuery('.pause_resume_outer').show();	
		}
	});
	
	
	jQuery('input[type="checkbox"][name="all_products"]').on('click', function(){
		
		if(jQuery(this).prop('checked') && jQuery(this).val() == 'ALL'){
		   jQuery(this).closest('li').siblings('li').find('input[type="checkbox"][name="all_products"]').prop('checked', false)
		}else{
			jQuery('input[type="checkbox"][name="all_products"][data-id="ALL"]').prop('checked', false);
		}
	});
	
	
	/******Check Page Availability*************/
	
	jQuery('.check_availability_page_btn').click(function(e){
		e.preventDefault();
		dap_member_show_loader();
		
		var page_type = jQuery(this).attr('data-id');
		var page_name = jQuery('#'+page_type).val();
		
		jQuery('.success_'+page_type).hide();
		jQuery('.error_'+page_type).hide();
		
		if(page_name != '') {
			jQuery(this).text("Checking..."); 
			jQuery.post(ajaxurl, {
					action: 'dapMemberGenerateWpPage',
					post_title: page_name,
			}, function(response) {
				response = JSON.parse(response);
				dap_member_hide_loader(); 
				
				
				if(response.status == 'yes'){
					jQuery('.success_'+page_type).hide();
					jQuery('.error_'+page_type).show();
					jQuery('#page_id').val('');
				}else if(response.status == 'no'){
					jQuery('.error_'+page_type).hide();
					jQuery('.success_'+page_type).show();
					jQuery('#page_id').val(response.post_id);
				}
				jQuery('.check_availability_page_btn').text("Check Availability");
				/*setTimeout(function(){ 
					jQuery('.success_'+page_type).hide();
					jQuery('.error_'+page_type).hide();
				 }, 3000);*/
				
			});
				
		}else{
			swal('Please enter a name. Name cannot be empty.')	
		}
	});
		
	
	jQuery('input[name="cancellation_option"]').on('click',function(){
		var cancellation_option_value = jQuery(this).val();
		console.log(cancellation_option_value)
		if(cancellation_option_value == 'self_cancel'){
			
			jQueryDM('.request_cancellation_btn_wrapper').hide('slow');
			jQueryDM('.send_cancellation_request_wrapper').hide('slow');
			jQueryDM('.self_cancel_with_reason_btn_wrapper').hide('slow');
			jQueryDM('.self_cancel_btn_wrapper').show('slow');
			jQueryDM('.cancellation_reason_msg_wrapper').hide('slow');
			jQueryDM('.cancellation_confirmation_msg_wrapper').show('slow');
			jQueryDM('.redirect_different_page_wrapper').hide('slow');
			jQueryDM('.sent_request_to_admin_msg_wrapper').hide('slow');
			
		}else if(cancellation_option_value == 'self_cancel_with_reason'){
			
			jQueryDM('.request_cancellation_btn_wrapper').hide('slow');
			jQueryDM('.send_cancellation_request_wrapper').hide('slow');
			jQueryDM('.self_cancel_btn_wrapper').show('slow');
			jQueryDM('.self_cancel_with_reason_btn_wrapper').show('slow');
			jQueryDM('.cancellation_reason_msg_wrapper').show('slow');
			jQueryDM('.cancellation_confirmation_msg_wrapper').hide('slow');
			jQueryDM('.redirect_different_page_wrapper').hide('slow');
			jQueryDM('.sent_request_to_admin_msg_wrapper').hide('slow');
			
		}else if(cancellation_option_value == 'request_cancellation'){
			
			jQueryDM('.request_cancellation_btn_wrapper').show('slow');
			jQueryDM('.send_cancellation_request_wrapper').show('slow');
			jQueryDM('.self_cancel_with_reason_btn_wrapper').hide('slow');
			jQueryDM('.self_cancel_btn_wrapper').hide('slow');
			jQueryDM('.cancellation_reason_msg_wrapper').show('slow');
			jQueryDM('.cancellation_confirmation_msg_wrapper').hide('slow');
			jQueryDM('.redirect_different_page_wrapper').hide('slow');
			jQueryDM('.sent_request_to_admin_msg_wrapper').show('slow');
			
		}else if(cancellation_option_value == 'redirect_different_page'){
			
			jQueryDM('.request_cancellation_btn_wrapper').hide('slow');
			jQueryDM('.send_cancellation_request_wrapper').hide('slow');
			jQueryDM('.self_cancel_with_reason_btn_wrapper').hide('slow');
			jQueryDM('.self_cancel_btn_wrapper').show('slow');
			jQueryDM('.cancellation_reason_msg_wrapper').hide('slow');
			jQueryDM('.cancellation_confirmation_msg_wrapper').hide('slow');
			jQueryDM('.redirect_different_page_wrapper').show('slow');
			jQueryDM('.sent_request_to_admin_msg_wrapper').hide('slow');
			
		}else{
			
			jQueryDM('.request_cancellation_btn_wrapper').hide('slow');
			jQueryDM('.send_cancellation_request_wrapper').hide('slow');
			jQueryDM('.self_cancel_with_reason_btn_wrapper').hide('slow');
			jQueryDM('.cancellation_reason_msg_wrapper').hide('slow');
			jQueryDM('.cancellation_confirmation_msg_wrapper').hide('slow');
			jQueryDM('.redirect_different_page_wrapper').hide('slow');
			jQueryDM('.sent_request_to_admin_msg_wrapper').hide('slow');
		}
		
	});
		
	jQuery('.create_shortcode_btn').click(function(){
		
		var id = jQuery('#saved_id').val();	
		var create_cancellation_page = jQuery('#create_cancellation_page').val();	
		var cancellation_data_id = jQuery('#cancellation_page_url').find(":selected").val();		
		if(cancellation_data_id == ''){
			cancellation_data_id = jQuery('#page_id').val();	
		}
		if((cancellation_data_id == '' || cancellation_data_id == 0)){
			dap_member_sweet_alert_message('Please select a page');
			dap_member_cancellation_scroll_top_with_id('#cancellation_page_url');
			return;	
		}
		
		var template = 'template1';	
		var show_all_transactions = 'N';	
		var product_type = jQuery('#product_type').val();	
		var all_productslist_cancellation = [];
		jQuery('.dap_mc_all_courses_list').find('.all_productslist_cp').each(function(){
			if(jQuery(this).prop('checked') == true){
				all_productslist_cancellation.push(jQuery(this).attr('data-id'));
			}
		});
		var all_productslist_len = jQuery('.dap_mc_all_courses_list .all_productslist_cp:checked').length;
		if(all_productslist_len < 1){
				dap_member_sweet_alert_message('Please select  product(s)');
				dap_member_cancellation_scroll_top_with_id('.dap_mc_all_courses_list');
				return false;		
		} 
		
		
		var cancellation_option_value = jQuery('input[name="cancellation_option"]:checked').val();
		var redirect_different_page_url = jQuery('#redirect_different_page_url').val();
		if((cancellation_option_value == 'redirect_different_page') && (redirect_different_page_url == '')){
				dap_member_sweet_alert_message('Enter redirect url');
				dap_member_cancellation_scroll_top_with_id('#redirect_different_page_url');
				return false;	
		}
			
		var contact_us = jQuery('#cancellation_contact_us_text').html();		
		var contact_us_link = jQuery('#cancellation_contact_us_link').val();		
		var show_cancel = 'Y';		
		var cancelled_text = jQuery('#cancelled_text').html();	
		
		var success_cancel_msg = jQuery('#success_cancel_msg').html();	
		var failed_cancel_msg = jQuery('#failed_cancel_msg').html();	
		var cancel_cancel_msg = jQuery('#cancel_cancel_msg').html();	
		var dateformat = 'YYYY-MM-DD';	
		var bgcolor = '#f9f9f9';	
		var payment = 'PAYPAL';	
		var showrenewal = 'Y';	
		var templatetextcolor = '#000';	
		var cancelimage = '';	
		
		/*cancel button style start*/
		var height = jQuery('#cancel_button_height').val();
		var button_width = jQuery('#cancel_button_width').val();
		var background = jQuery('#cancel_background_clr').val();
		var border_radius = jQuery('#cancel_border_radius').val();
		
		/*cancel button style end*/
		var cancel_button_custmizer = height+'||'+button_width+'||'+background+'||'+border_radius;
		var cancelbuttonstyle = 'padding-top: '+height+'px;background: '+background+' ;border-radius: '+border_radius+'px;width:'+button_width+'px;padding-bottom: '+height+'px;';	
		var cancelbuttonstyleNew = height+';'+background+';'+border_radius+';'+button_width+';'+height+'';	
		var cancelbuttontext = jQuery('.cancel_btn_html').text();	
		var cancelbuttontext_html = jQuery('.cancel_btn_html').html();	
		
		var upgradelink = '';	
		var upgradetext = 'UPGRADE';	
		var upgradetextcolor = 'blue';	
		var canceltext = jQuery('#cancel_btn_html').text();	
		//var canceltextcolor = jQuery('#cancel_text_clr').val();	
		//var cancelledtextcolor = 'red';	
		var notransfoundmsg = jQuery('#no_transaction_found').html();	
		var showpause = jQuery('#pause_resume_select').val();	
		var pausesuccess = jQuery('#success_paused_msg').html();	
		var pausefail = jQuery('#failed_paused_msg').html();	
		var pauseconfirm = jQuery('#confirm_paused_msg').html();	
		var pauseurl = '';	
		
		/*pause button style start*/
		var height = jQuery('#pause_button_height').val();
		var background = jQuery('#pause_background_clr').val();
		var border_radius = jQuery('#pause_border_radius').val();
		var button_width = jQuery('#pause_button_width').val();
		/*pause button style end*/
		var pause_button_custmizer = height+'||'+button_width+'||'+background+'||'+border_radius;
		
		var pausebuttonstyle = 'padding-top: '+height+'px;background: '+background+' ;border-radius: '+border_radius+'px;width:'+button_width+'px;padding-bottom: '+height+'px;';	
		var pausebuttonstyleNew = height+';'+background+';'+border_radius+';'+button_width+';'+height+'';
		var pausebuttontext = jQuery('.pause_btn_html').text();	
		
		//var pausetextcolor = jQuery('#pause_text_clr').val();	
		var resumesuccess = jQuery('#success_resume_msg').html();	
		var resumefail = jQuery('#failed_resume_msg').html();	
		var resumeconfirm = jQuery('#confirm_resume_msg').html();	
		var resumeurl = '';	
		
		/*resume button style start*/
		var height = jQuery('#resume_button_height').val();
		var background = jQuery('#resume_background_clr').val();
		var border_radius = jQuery('#resume_border_radius').val();
		var button_width = jQuery('#resume_button_width').val();
		/*resume button style end*/
		
		var resumebuttonstyle = 'padding-top: '+height+'px;background: '+background+' ;border-radius: '+border_radius+'px;width:'+button_width+'px;padding-bottom: '+height+'px;';
		var resumebuttonstyleNew = height+';'+background+';'+border_radius+';'+button_width+';'+height+'';	
		var resumebuttontext = jQuery('.resume_btn_html').text();		
			
			
			
	    
		var self_cancel_with_reason_btn_html   = jQuery('.self_cancel_with_reason_btn_html').html();	
		var request_cancellation_btn_html  = jQuery('.request_cancellation_btn_html').html();	
		var send_cancellation_request_html  = jQuery('.send_cancellation_request_html').html();	
		
		var cancelbuttontext_html = jQuery('.cancel_btn_html').html();	
		var pausebuttontext_html = jQuery('.pause_btn_html').html();	
		var resumebuttontext_html = jQuery('.resume_btn_html').html();
	
	
		// self_cancel_with_reason_btn_button_width start 
		var self_cancel_with_reason_btn_border_radius = jQuery('#self_cancel_with_reason_btn_border_radius').val();
		var self_cancel_with_reason_btn_button_width  = jQuery('#self_cancel_with_reason_btn_button_width').val();
		var self_cancel_with_reason_btn_button_height = jQuery('#self_cancel_with_reason_btn_button_height').val();
		var self_cancel_with_reason_btn_button_background = jQuery('#self_cancel_with_reason_btn_background_clr').val();
		var self_cancel_1 = self_cancel_with_reason_btn_border_radius+'||'+self_cancel_with_reason_btn_button_width+'||'+self_cancel_with_reason_btn_button_height+'||'+self_cancel_with_reason_btn_button_background;
		// request_cancellation_btn start 
		var request_cancellation_btn_border_radius = jQuery('#request_cancellation_btn_border_radius').val();
		var request_cancellation_btn_button_width  = jQuery('#request_cancellation_btn_button_width').val();
		var request_cancellation_btn_button_height = jQuery('#request_cancellation_btn_button_height').val();
		var request_cancellation_btn_background_clr = jQuery('#request_cancellation_btn_background_clr').val();
		var self_cancel_2 = request_cancellation_btn_border_radius+'||'+request_cancellation_btn_button_width+'||'+request_cancellation_btn_button_height+'||'+request_cancellation_btn_background_clr;
		// send_cancellation_request_button_height start 
		var send_cancellation_request_border_radius = jQuery('#send_cancellation_request_border_radius').val();
		var send_cancellation_request_button_width  = jQuery('#send_cancellation_request_button_width').val();
		var send_cancellation_request_button_height = jQuery('#send_cancellation_request_button_height').val();
		var send_cancellation_request_background_clr = jQuery('#send_cancellation_request_background_clr').val();
		var self_cancel_3 = send_cancellation_request_border_radius+'||'+send_cancellation_request_button_width+'||'+send_cancellation_request_button_height+'||'+send_cancellation_request_background_clr;

		var self_cancel_customizer = cancel_button_custmizer+'|||'+self_cancel_1+'|||'+self_cancel_2+'|||'+self_cancel_3;		
		var cancellation_confirmation_msg = jQuery("#cancellation_confirmation_msg").html();
		var cancellation_reason_msg = jQuery("#cancellation_reason_msg").html();
		var send_admin_email = jQuery("select[name='send_admin_email']").val();
		var sent_request_to_admin = jQuery("#sent_request_to_admin").html();
			
		dap_member_show_loader();
		jQuery.post(ajaxurl, {
			action: 'dapSaveMemberCancelAjax',
			id: id,
			template: template,
			show_all_transactions: show_all_transactions,
			product_type: product_type,
			contact_us: contact_us,
			contact_us_link: contact_us_link,
			cancellation_data_id: cancellation_data_id,
			create_cancellation_page: create_cancellation_page,
			show_cancel: show_cancel,
			cancelled_text: cancelled_text,
			success_cancel_msg: success_cancel_msg,
			failed_cancel_msg: failed_cancel_msg,
			cancel_cancel_msg: cancel_cancel_msg,
			dateformat: dateformat,
			bgcolor: bgcolor,
			payment: payment,
			showrenewal: showrenewal,
			showrenewal: showrenewal,
			templatetextcolor: templatetextcolor,
			cancelimage: cancelimage,
			cancelbuttonstyle: cancelbuttonstyle,
			cancelbuttontext: cancelbuttontext,
			upgradelink: upgradelink,
			upgradetext: upgradetext,
			upgradetextcolor: upgradetextcolor,
			canceltext: canceltext,
			//canceltextcolor: canceltextcolor,
			//cancelledtextcolor: cancelledtextcolor,
			notransfoundmsg: notransfoundmsg,
			showpause: showpause,
			pausesuccess: pausesuccess,
			pausefail: pausefail,
			pauseconfirm: pauseconfirm,
			pauseurl: pauseurl,
			pausebuttonstyle: pausebuttonstyle,
			pausebuttontext: pausebuttontext,
			resumesuccess: resumesuccess,
			resumefail: resumefail,
			resumeconfirm: resumeconfirm,
			resumeurl: resumeurl,
			resumebuttonstyle: resumebuttonstyle,
			resumebuttontext: resumebuttontext,
			cancelbuttonstyleNew: cancelbuttonstyleNew,
			pausebuttonstyleNew: pausebuttonstyleNew,
			resumebuttonstyleNew: resumebuttonstyleNew,
			cancellation_option_value: cancellation_option_value,
			redirect_different_page_url:redirect_different_page_url,
			cancellation_confirmation_msg: encodeURIComponent(cancellation_confirmation_msg),
			cancellation_reason_msg: encodeURIComponent(cancellation_reason_msg),
			self_cancel_with_reason_btn_html: encodeURIComponent(self_cancel_with_reason_btn_html),
			request_cancellation_btn_html : encodeURIComponent(request_cancellation_btn_html),
			send_cancellation_request_html: encodeURIComponent(send_cancellation_request_html),
			cancelbuttontext_html: encodeURIComponent(cancelbuttontext_html),
			pausebuttontext_html: encodeURIComponent(pausebuttontext_html),
			resumebuttontext_html: encodeURIComponent(resumebuttontext_html),
			self_cancel_customizer: self_cancel_customizer,
			all_productslist_cancellation: all_productslist_cancellation,
			send_admin_email: send_admin_email,
			sent_request_to_admin: sent_request_to_admin,
		}, function(response) {
			response = JSON.parse(response);		
			jQuery('.get_shortcode').html(response.short_code_html);
			jQuery('#saved_id').val(response.id);
			jQuery('#page_id').val(response.page_id);
			jQuery('.shortcode_div').show();	
			dap_member_hide_loader();		
		})	
	});	
	
	
		
});



function members_cancellation_customizer(){
	
	/*jQuery('#cancel_btn_text').keyup(function() {
		jQuery('.cancel_btn').text(jQuery(this).val());
	});
	*/
	
	/*jQuery('#cancel_font_size').bootstrapSlider().change(function() {
		jQuery('.cancel_btn').css('font-size',this.value + 'px');
	});
	*/
	/*jQuery('#cancel_border_width').bootstrapSlider().change(function() {
		jQuery('.cancel_btn').css('border-width',this.value + 'px');
	});	
	*/
		 
	jQuery('#cancel_border_radius').bootstrapSlider().change(function() {
		jQuery('.cancel_btn').css('border-radius',this.value + 'px');
	});		 
	
	jQuery('#cancel_button_width').bootstrapSlider().change(function() {
		jQuery('.cancel_btn').css('max-width', this.value + 'px');
		jQuery('.cancel_btn').css('width', this.value + 'px');
	});
	
	jQuery('#cancel_button_height').bootstrapSlider().change(function() {
		jQuery('.cancel_btn').css('padding-top', this.value + 'px');
		jQuery('.cancel_btn').css('padding-bottom', this.value + 'px');
	});
	
	jQuery('#cancel_background_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.cancel_btn').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	// self_cancel_with_reason_btn_button_width start 
	jQuery('#self_cancel_with_reason_btn_border_radius').bootstrapSlider().change(function() {
		jQuery('.self_cancel_with_reason_btn').css('border-radius',this.value + 'px');
	});	
	jQuery('#self_cancel_with_reason_btn_button_width').bootstrapSlider().change(function() {
		jQuery('.self_cancel_with_reason_btn').css('max-width', this.value + 'px');
		jQuery('.self_cancel_with_reason_btn').css('width', this.value + 'px');
	});

	jQuery('#self_cancel_with_reason_btn_button_height').bootstrapSlider().change(function() {
		jQuery('.self_cancel_with_reason_btn').css('padding-top', this.value + 'px');
		jQuery('.self_cancel_with_reason_btn').css('padding-bottom', this.value + 'px');
	});

	jQuery('#self_cancel_with_reason_btn_background_clr_div, #self_cancel_with_reason_btn_background_clr').colorpicker().on('changeColor',function(){
		jQuery('.self_cancel_with_reason_btn').css('background-color', jQuery(this).colorpicker('getValue'));
	});
   // self_cancel_with_reason_btn_button_width end 

    // request_cancellation_btn  start 
	jQuery('#request_cancellation_btn_border_radius').bootstrapSlider().change(function() {
		jQuery('.request_cancellation_btn').css('border-radius',this.value + 'px');
	});	
	jQuery('#request_cancellation_btn_button_width').bootstrapSlider().change(function() {
		jQuery('.request_cancellation_btn').css('max-width', this.value + 'px');
		jQuery('.request_cancellation_btn').css('width', this.value + 'px');
	});

	jQuery('#request_cancellation_btn_button_height').bootstrapSlider().change(function() {
		jQuery('.request_cancellation_btn').css('padding-top', this.value + 'px');
		jQuery('.request_cancellation_btn').css('padding-bottom', this.value + 'px');
	});

	jQuery('#request_cancellation_btn_background_clr,#request_cancellation_btn_background_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.request_cancellation_btn').css('background-color', jQuery(this).colorpicker('getValue'));
	});
   // request_cancellation_btn end 
   
   // send_cancellation_request_button_height  start 
	jQuery('#send_cancellation_request_border_radius').bootstrapSlider().change(function() {
		jQuery('.send_cancellation_request').css('border-radius',this.value + 'px');
	});	
	jQuery('#send_cancellation_request_button_width').bootstrapSlider().change(function() {
		jQuery('.send_cancellation_request').css('max-width', this.value + 'px');
		jQuery('.send_cancellation_request').css('width', this.value + 'px');
	});

	jQuery('#send_cancellation_request_button_height').bootstrapSlider().change(function() {
		jQuery('.send_cancellation_request').css('padding-top', this.value + 'px');
		jQuery('.send_cancellation_request').css('padding-bottom', this.value + 'px');
	});

	jQuery('#send_cancellation_request_background_clr,#send_cancellation_request_background_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.send_cancellation_request').css('background-color', jQuery(this).colorpicker('getValue'));
	});
   // send_cancellation_request_button_height end 
   
	
	
	/*
	jQuery('#cancel_border_clr_div ').colorpicker().on('changeColor',function(){
		jQuery('.cancel_btn').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	*/
	/*
	jQuery('#cancel_text_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.cancel_btn').css('color', jQuery(this).colorpicker('getValue'));
	}); 
	 */
	/*                      	
	jQuery('#cancel_bdr_style').change(function(){
		jQuery('.cancel_btn').css('border-style', jQuery(this).val());
	});
	 */
	 /*                     	
	jQuery('#cancel_font_weight').change(function(){
		jQuery('.cancel_btn').css('font-weight', jQuery(this).val());
	});
	*/
	
	
	/*Pause start*/
	
	/*jQuery('#pause_btn_text').keyup(function() {
		jQuery('.pause_btn').text(jQuery(this).val());
	});
	
	
	jQuery('#pause_font_size').bootstrapSlider().change(function() {
		jQuery('.pause_btn').css('font-size',this.value + 'px');
	});
	
	jQuery('#pause_border_width').bootstrapSlider().change(function() {
		jQuery('.pause_btn').css('border-width',this.value + 'px');
	});	
	*/	 
	jQuery('#pause_border_radius').bootstrapSlider().change(function() {
		jQuery('.pause_btn').css('border-radius',this.value + 'px');
	});		 
	
	jQuery('#pause_button_width').bootstrapSlider().change(function() {
		jQuery('.pause_btn').css('max-width', this.value + 'px');
		jQuery('.pause_btn').css('width', this.value + 'px');
	});
	
	jQuery('#pause_button_height').bootstrapSlider().change(function() {
		jQuery('.pause_btn').css('padding-top', this.value + 'px');
		jQuery('.pause_btn').css('padding-bottom', this.value + 'px');
	});
	
	jQuery('#pause_background_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.pause_btn').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	/*
	jQuery('#pause_border_clr_div ').colorpicker().on('changeColor',function(){
		jQuery('.pause_btn').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#pause_text_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.pause_btn').css('color', jQuery(this).colorpicker('getValue'));
	}); 
	                      	
	jQuery('#pause_bdr_style').change(function(){
		jQuery('.pause_btn').css('border-style', jQuery(this).val());
	});
	                      	
	jQuery('#pause_font_weight').change(function(){
		jQuery('.pause_btn').css('font-weight', jQuery(this).val());
	});
	*/
	
	/*Pause end*/
	
	/*Resume start*/
	/*
	jQuery('#resume_btn_text').keyup(function() {
		jQuery('.resume_btn').text(jQuery(this).val());
	});
	
	jQuery('#resume_font_size').bootstrapSlider().change(function() {
		jQuery('.resume_btn').css('font-size',this.value + 'px');
	});
	
	jQuery('#resume_border_width').bootstrapSlider().change(function() {
		jQuery('.resume_btn').css('border-width',this.value + 'px');
	});	
	*/	 
	jQuery('#resume_border_radius').bootstrapSlider().change(function() {
		jQuery('.resume_btn').css('border-radius',this.value + 'px');
	});		 
	
	jQuery('#resume_button_width').bootstrapSlider().change(function() {
		jQuery('.resume_btn').css('max-width', this.value + 'px');
		jQuery('.resume_btn').css('width', this.value + 'px');
	});
	
	jQuery('#resume_button_height').bootstrapSlider().change(function() {
		jQuery('.resume_btn').css('padding-top', this.value + 'px');
		jQuery('.resume_btn').css('padding-bottom', this.value + 'px');
	});
	
	jQuery('#resume_background_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.resume_btn').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	/*
	jQuery('#resume_border_clr_div ').colorpicker().on('changeColor',function(){
		jQuery('.resume_btn').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#resume_text_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.resume_btn').css('color', jQuery(this).colorpicker('getValue'));
	}); 
	                      	
	jQuery('#resume_bdr_style').change(function(){
		jQuery('.resume_btn').css('border-style', jQuery(this).val());
	});
	                      	
	jQuery('#resume_font_weight').change(function(){
		jQuery('.resume_btn').css('font-weight', jQuery(this).val());
	});
	
	*/
	/*Resume end*/
	
	
	
	
	/*jQuery(document).on('change','#achievement_border_style',function(){
		var vall = jQuery(this).val();
		jQuery('.achievement_level_outer').css('border-style',vall);
	});*/
		
			
}

function members_cancellation_customizer_default_old(){
	
	jQuery('#cancel_font_size').bootstrapSlider().change(function() {
		jQuery('.cancel_btn').css('font-size',this.value + 'px');
	});
	
	jQuery('#cancel_border_width').bootstrapSlider().change(function() {
		jQuery('.cancel_btn').css('border-width',this.value + 'px');
	});		 
	
	jQuery('#cancel_border_radius').bootstrapSlider().change(function() {
		jQuery('.cancel_btn').css('border-radius', this.value + 'px');
	});
	
	jQuery('#cancel_button_width').bootstrapSlider().change(function() {
		jQuery('.cancel_btn').css('max-width', this.value + 'px');
	});
	
	jQuery('#cancel_button_height').bootstrapSlider().change(function() {
		jQuery('.cancel_btn').css('max-height', this.value + 'px');
	});
	
	jQuery('#cancel_background_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.cancel_btn').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#cancel_border_clr_div ').colorpicker().on('changeColor',function(){
		jQuery('.cancel_btn').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#cancel_text_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.cancel_btn').css('color', jQuery(this).colorpicker('getValue'));
	}); 
	
	
	/****Pause start***/
	
	jQuery('#pause_font_size').bootstrapSlider().change(function() {
		jQuery('.pause_btn').css('font-size',this.value + 'px');
	});
	
	jQuery('#pause_border_width').bootstrapSlider().change(function() {
		jQuery('.pause_btn').css('border-width',this.value + 'px');
	});		 
	
	jQuery('#pause_border_radius').bootstrapSlider().change(function() {
		jQuery('.pause_btn').css('border-radius', this.value + 'px');
	});
	
	jQuery('#pause_button_width').bootstrapSlider().change(function() {
		jQuery('.pause_btn').css('max-width', this.value + 'px');
	});
	
	jQuery('#pause_button_height').bootstrapSlider().change(function() {
		jQuery('.pause_btn').css('max-height', this.value + 'px');
	});
	
	jQuery('#pause_background_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.pause_btn').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#pause_border_clr_div ').colorpicker().on('changeColor',function(){
		jQuery('.pause_btn').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#pause_text_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.pause_btn').css('color', jQuery(this).colorpicker('getValue'));
	}); 
	
	/****Pause end***/
	
	
	/****Resume start***/
	
	jQuery('#resume_font_size').bootstrapSlider().change(function() {
		jQuery('.resume_btn').css('font-size',this.value + 'px');
	});
	
	jQuery('#resume_border_width').bootstrapSlider().change(function() {
		jQuery('.resume_btn').css('border-width',this.value + 'px');
	});		 
	
	jQuery('#resume_border_radius').bootstrapSlider().change(function() {
		jQuery('.resume_btn').css('border-radius', this.value + 'px');
	});
	
	jQuery('#resume_button_width').bootstrapSlider().change(function() {
		jQuery('.resume_btn').css('max-width', this.value + 'px');
	});
	
	jQuery('#resume_button_height').bootstrapSlider().change(function() {
		jQuery('.resume_btn').css('max-height', this.value + 'px');
	});
	
	jQuery('#resume_background_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.resume_btn').css('background-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#resume_border_clr_div ').colorpicker().on('changeColor',function(){
		jQuery('.resume_btn').css('border-color', jQuery(this).colorpicker('getValue'));
	});
	
	jQuery('#resume_text_clr_div').colorpicker().on('changeColor',function(){
		jQuery('.resume_btn').css('color', jQuery(this).colorpicker('getValue'));
	}); 
	
	/****Resume end***/
	                      	
 
	/*jQuery(document).on('change','#achievement_border_style',function(){
		var vall = jQuery(this).val();
		jQuery('.achievement_level_outer').css('border-style',vall);
	});*/
		
			
}


function members_cancellation_customizer_default(){
/*	
	jQuery('#cancel_background_clr').val(jQuery('.cancel_btn').css('background-color'));
	jQuery('#cancel_bdr_style').val(jQuery('.cancel_btn').css('border-style'));
	jQuery('#cancel_border_width').val(jQuery('.cancel_btn').css('border-width'));
	jQuery('#cancel_border_clr').val(jQuery('.cancel_btn').css('border-color'));
	jQuery('#cancel_border_radius').val(jQuery('.cancel_btn').css('border-radius'));
	jQuery('#cancel_font_size').val(jQuery('.cancel_btn').css('font-size'));
	jQuery('#cancel_font_weight').val(jQuery('.cancel_btn').css('font-weight'));
	jQuery('#cancel_text_clr').val(jQuery('.cancel_btn').css('color'));
	jQuery('#cancel_button_width').val(jQuery('.cancel_btn').css('width'));
	jQuery('#cancel_button_height').val(jQuery('.cancel_btn').css('padding-top'));

	jQuery('#pause_background_clr').val(jQuery('.pause_btn').css('background-color'));
	jQuery('#pause_bdr_style').val(jQuery('.pause_btn').css('border-style'));
	jQuery('#pause_border_width').val(jQuery('.pause_btn').css('border-width'));
	jQuery('#pause_border_clr').val(jQuery('.pause_btn').css('border-color'));
	jQuery('#pause_border_radius').val(jQuery('.pause_btn').css('border-radius'));
	jQuery('#pause_font_size').val(jQuery('.pause_btn').css('font-size'));
	jQuery('#pause_font_weight').val(jQuery('.pause_btn').css('font-weight'));
	jQuery('#pause_text_clr').val(jQuery('.pause_btn').css('color'));
	jQuery('#pause_button_width').val(jQuery('.pause_btn').css('width'));
	jQuery('#pause_button_height').val(jQuery('.pause_btn').css('padding-top'));
	
	jQuery('#resume_background_clr').val(jQuery('.resume_btn').css('background-color'));
	jQuery('#resume_bdr_style').val(jQuery('.resume_btn').css('border-style'));
	jQuery('#resume_border_width').val(jQuery('.resume_btn').css('border-width'));
	jQuery('#resume_border_clr').val(jQuery('.resume_btn').css('border-color'));
	jQuery('#resume_border_radius').val(jQuery('.resume_btn').css('border-radius'));
	jQuery('#resume_font_size').val(jQuery('.resume_btn').css('font-size'));
	jQuery('#resume_font_weight').val(jQuery('.resume_btn').css('font-weight'));
	jQuery('#resume_text_clr').val(jQuery('.resume_btn').css('color'));
	jQuery('#resume_button_width').val(jQuery('.resume_btn').css('width'));
	jQuery('#resume_button_height').val(jQuery('.resume_btn').css('padding-top'));

	                      	
 */
	/*jQuery(document).on('change','#achievement_border_style',function(){
		var vall = jQuery(this).val();
		jQuery('.achievement_level_outer').css('border-style',vall);
	});*/
		
			
}


function dap_member_cancellation_scroll_top() {
	
	jQueryDM('html, body').animate({
		scrollTop: 0
	}, 100);
	
}
function dap_member_cancellation_scroll_top_with_id(element_id = '') {
	var top_no = jQueryDM(element_id).offset().top - 100;
	
	if(top_no > 200){
		top_no = top_no - 200;
	}
	jQueryDM('html, body').animate({
		scrollTop: top_no
	}, 100);
	
}



