<?php
//shortcode for course complete
add_shortcode('DAPMemberEngagement', 'DAPMemberEngagementShortcode');
add_shortcode('DAPCourseComplete', 'DAPCourseCompleteShortcode');
add_shortcode('DAPCourseInProgress', 'DAPCourseInProgressShortcode');
add_shortcode('DAPCourseEnrolled', 'DAPCourseEnrolledShortcode');
add_shortcode('DAPCourseUpsell', 'DAPCourseUpsellShortcode');
add_shortcode('DAPProduct', 'DAPProductShortcode');
add_shortcode('DAPUpsellProduct', 'DAPUpsellProductShortcode');
//add_shortcode('DAPAllCertificates', 'DAPAllCertificatesShortcode');
//add_shortcode('DAPAllBadges', 'DAPAllBadgesShortcode');
//add_shortcode('DAPAllRecentActivities', 'DAPAllRecentActivitiesShortcode');
//add_shortcode('DAPAllBadges', 'DAPAllBadgesShortcode');
//add_shortcode('DAPTodayPoints', 'DAPTodayPointsShortcode');
//all_badges
//recent_activites

function DAPMemberEngagementShortcode($atts, $content = null) {

	if(isset($_REQUEST['tve']) && $_REQUEST['tve'] == true){return;}
	global $wpdb;
	extract(shortcode_atts(array(
	'id' => '',
	), $atts));
	
	$session = Dap_Session::getSession();
	$user = $session->getUser();
	$pleaselogintext =   dapMemberGetMessageByKeyAndAction('mycontent','pleaselogintext');
	$clicktologintext =   dapMemberGetMessageByKeyAndAction('mycontent','clicktologintext');
	
	$style_attr =" <style> #notloggedin_outer{font-size: 17px;}#notloggedin_outer  a {font-weight: 600;color: #333;font-size: 15px;} #notloggedin_outer .not_logged { color: #2196F3 !important;;font-weight: 600; text-decoration: underline; }</style>";
	//user not logged-in
	if( !Dap_Session::isLoggedIn() || !isset($user) ) {
        $errorHTML = mb_convert_encoding($pleaselogintext, "UTF-8", "auto") . " <a class='not_logged' href=\"" . Dap_Config::get("LOGIN_URL") . "\">". mb_convert_encoding($clicktologintext, "UTF-8", "auto") . "</a>";
        return "<div id='notloggedin_outer'>".$errorHTML.$style_attr."</div>";
    }    
	
	$content="";
	if (isset($user)){
		$userId =$user->getId();
		$email =$user->getEmail();
		$fname =$user->getFirst_name();
		$lname =$user->getLast_name();
		$name =$fname." ".$lname  ;
		
		//load data by id
		$content .= DAPGetMemberEngagementDataBuiltIn($id, "all",$userId, $email, $name);	
	}
	 
	return do_shortcode($content);
}
function DAPCourseCompleteShortcode($atts, $content = null) {
	if(isset($_REQUEST['tve']) && $_REQUEST['tve'] == true){return;}
	global $wpdb;
	extract(shortcode_atts(array(
	'id' => '',
	), $atts));
	
	$session = Dap_Session::getSession();
	$user = $session->getUser();
	//user not logged-in
	if( !Dap_Session::isLoggedIn() || !isset($user) ) {
		$notloggedin_msg = DAPNotLoggedinMessage();
		return $notloggedin_msg;
	}	
	
	$content="";
	if (isset($user)){
		$userId =$user->getId();
		//load data by id
		$content .= DAPGetMemberEngagementData($id, "course_completed",$userId,"","");	
	}
	return $content;
}
function DAPCourseInProgressShortcode($atts, $content = null) {
	if(isset($_REQUEST['tve']) && $_REQUEST['tve'] == true){return;}
	global $wpdb;
	extract(shortcode_atts(array(
	'id' => '',
	), $atts));
	
	$session = Dap_Session::getSession();
	$user = $session->getUser();
	//user not logged-in
	if( !Dap_Session::isLoggedIn() || !isset($user) ) {
		$notloggedin_msg = DAPNotLoggedinMessage();
		return $notloggedin_msg;
	}	
	
	$content="";
	if (isset($user)){
		$userId =$user->getId();
		//load data by id
		$content .= DAPGetMemberEngagementData($id, "course_inprogress",$userId,"","");	
	}
	return $content;
}
function DAPCourseEnrolledShortcode($atts, $content = null) {
	if(isset($_REQUEST['tve']) && $_REQUEST['tve'] == true){return;}
	global $wpdb;
	extract(shortcode_atts(array(
	'id' => '',
	), $atts));
	
	$session = Dap_Session::getSession();
	$user = $session->getUser();
	//user not logged-in
	if( !Dap_Session::isLoggedIn() || !isset($user) ) {
		$notloggedin_msg = DAPNotLoggedinMessage();
		return $notloggedin_msg;
	}	
	
	$content="";
	if (isset($user)){
		$userId =$user->getId();
		//load data by id
		$content .= DAPGetMemberEngagementData($id, "course_enrolled",$userId,"","");	
	}
	return $content;
}
function DAPCourseUpsellShortcode($atts, $content = null) {
	if(isset($_REQUEST['tve']) && $_REQUEST['tve'] == true){return;}
	global $wpdb;
	extract(shortcode_atts(array(
	'id' => '',
	), $atts));
	
	$session = Dap_Session::getSession();
	$user = $session->getUser();
	//user not logged-in
	if( !Dap_Session::isLoggedIn() || !isset($user) ) {
		$notloggedin_msg = DAPNotLoggedinMessage();
		return $notloggedin_msg;
	}	
	
	$content="";
	if (isset($user)){
		$userId =$user->getId();
		//load data by id
		$content .= DAPGetMemberEngagementData($id, "course_upsell",$userId,"","");	
	}
	return $content;
}
function DAPProductShortcode($atts, $content = null) {
	if(isset($_REQUEST['tve']) && $_REQUEST['tve'] == true){return;}
	global $wpdb;
	extract(shortcode_atts(array(
	'id' => '',
	), $atts));
	
	$session = Dap_Session::getSession();
	$user = $session->getUser();
	//user not logged-in
	if( !Dap_Session::isLoggedIn() || !isset($user) ) {
		$notloggedin_msg = DAPNotLoggedinMessage();
		return $notloggedin_msg;
	}	
	
	$content="";
	if (isset($user)){
		$userId =$user->getId();
		//load data by id
		$content .= DAPGetMemberEngagementData($id, "normal_products",$userId,"","");	
	}
	return $content;
}
function DAPUpsellProductShortcode($atts, $content = null) {
	if(isset($_REQUEST['tve']) && $_REQUEST['tve'] == true){return;}
	global $wpdb;
	extract(shortcode_atts(array(
	'id' => '',
	), $atts));
	
	$session = Dap_Session::getSession();
	$user = $session->getUser();
	//user not logged-in
	if( !Dap_Session::isLoggedIn() || !isset($user) ) {
		$notloggedin_msg = DAPNotLoggedinMessage();
		return $notloggedin_msg;
	}	
	
	$content="";
	if (isset($user)){
		$userId =$user->getId();
		//load data by id
		$content .= DAPGetMemberEngagementData($id, "upsell_products",$userId,"","");	
	}
	return $content;
}
function DAPAllCertificatesShortcode($atts, $content = null) {
	if(isset($_REQUEST['tve']) && $_REQUEST['tve'] == true){return;}
	global $wpdb;
	extract(shortcode_atts(array(
	'id' => '',
	), $atts));
	
	$session = Dap_Session::getSession();
	$user = $session->getUser();
	//user not logged-in
	if( !Dap_Session::isLoggedIn() || !isset($user) ) {
		$notloggedin_msg = DAPNotLoggedinMessage();
		return $notloggedin_msg;
	}	
	
	$content="";
	if (isset($user)){
		$userId =$user->getId();
		//load data by id
		$content .= getDAPAllCertificates($id, "all_certificates",$userId,"","");	
	}
	return $content;
}

//get the Engagement data
function DAPGetMemberEngagementDataBuiltIn($id, $action, $userId, $email, $name){
	$engagement_id = $id;
	$membercontent="";
	$memberdata_progressbar="";
	$memberdata_course_completed="";
	$memberdata_course_enrolled="";
	$memberdata_course_upsell="";
	$memberdata_course_enrolled_prerequisite = "";
	$memberdata_normal_products="";
	$memberdata_upsell_products="";
	$hideproductid	="NONE";
	$Showproductid	="NONE";
	$temp_html = "";
	$memberdata = "";
	$empty_classes = "";
	$popupdata="";
	 $dm_prerequisite_popup_msg =  'Course Prerequisite';
	$memberobj = DAP_MemberEngagement::loadById($id);
	if($memberobj){	
		$type = $memberobj->getType();		 
		$template = $memberobj->getTemplate();		 
		$template =stripslashes($template);	
		
		$customized_values = $memberobj->getCustomizedValues();
		
		$dm_engagement_certificate_btn_style = ''; 
		$customized_values_array = explode('|||',$customized_values);
        
		if(isset($customized_values_array[7])){
				$customizer_values_8 = explode('||',$customized_values_array[7]);
				$dm_engagement_certificate_btn_border_width = $customizer_values_8[0].'px';
				$dm_engagement_certificate_btn_border_style = $customizer_values_8[1];			
				$dm_engagement_certificate_btn_border_color = $customizer_values_8[2];			
				$dm_engagement_certificate_btn_border_radius = $customizer_values_8[3].'px';			
				$dm_engagement_certificate_btn_background_color = $customizer_values_8[4];		
				$dm_engagement_certificate_btn_style = '.dap_m_engagement-card .download_certificate_button{border-width:'.$dm_engagement_certificate_btn_border_width.';border-style:'.$dm_engagement_certificate_btn_border_style.';border-color:'.$dm_engagement_certificate_btn_border_color.';border-radius:'.$dm_engagement_certificate_btn_border_radius.';background-color:'.$dm_engagement_certificate_btn_background_color.'}';
					
		}
			 
		$member_rules_obj =DAP_MemberEngagementRules::loadByEngagementId($id) ;	
		$selected_temp_no = '';
		$show_slider_status =  false;
		if($member_rules_obj){
			$member_courses_prerequisite_start_in_array = 0;
			$eng_member_prerequisite_obj =  DAP_MemberEngagementRules::loadByEngagementIdAndDisplayOption($id,'course_enrolled_prerequisite');
			$dm_prerequisite_error_msg="";
			$productNamesList="";
			if(isset($eng_member_prerequisite_obj)){
				$productNamesList ="";
				$dm_prerequisite_error_msg = stripslashes($eng_member_prerequisite_obj->getCustomValues());	
				if(isset($customized_values_array[8])){
					$customizer_values_9 = explode('||',$customized_values_array[8]);
					
					$dm_prerequisite_lable_border_color = $customizer_values_9[0];
					$dm_prerequisite_lock_border_color = $customizer_values_9[1];			
					$dm_prerequisite_popup_msg = $customizer_values_9[2];			
					
				}
				
			}		
			if($type =="build_in"){
				foreach($member_rules_obj as $memberrules_obj){
				
					$action_builtin = $memberrules_obj->getDisplayOption();
					if($action_builtin =="course_enrolled_prerequisite"){
						continue;
					}
					$temp_html = $memberrules_obj->getTemplateHtml();
					$selected_temp_no = $memberrules_obj->getTemplateNum();
					$num_of_products = $memberrules_obj->getNumOfProducts();
					$product_per_screen = $memberrules_obj->getTotalNumOfProducts();
					$show_slider = $memberrules_obj->getShowSlider();
					$custom_values = $memberrules_obj->getCustomValues();
					$hideproductid = $memberrules_obj->getHideList();
					$showproductid = $memberrules_obj->getShowList();
					$sorting_option = $memberrules_obj->getSortingOption();
					$sorted_products = $memberrules_obj->getSortedProductsList();
					$custom_values_style = '';
				    if($custom_values != ''){
					   $custom_values_array = explode('||',$custom_values);
					   if(isset($custom_values_array[0])){
						    if($custom_values_array[0] >0){
								$custom_values_style .= 'height:'.$custom_values_array[0];
							}
					   }
						if(isset($custom_values_array[0]) && isset($custom_values_array[1])){
							  if($custom_values_array[0] >50){
								  $height_attr = 'height:'.$custom_values_array[0];
							  }else{
								  $height_attr = "";
							  }
							  if($custom_values_array[1] >50){
								  $wid_attr = 'width:'.$custom_values_array[1];
							  }else{
								  $wid_attr = "";
							  }
							  $custom_values_style = 'style="'.$height_attr.';'.$wid_attr.'"';
					   }
					    
				    }
					
					$show_slider_status_inner =  false;
					if($show_slider == 'slider'){
						$show_slider_status =  true;
						$show_slider_status_inner =  true;
					}
					$dap_prerequisite_wrapper ="";
					$total_num_of_products = $memberrules_obj->getTotalNumOfProducts();
								
					$temp_html =stripslashes($temp_html);
					$temp_html = str_replace( 'contenteditable="true"','', $temp_html);	
					$member_courses = getCourseList($userId, $hideproductid, $action_builtin, $sorting_option, $sorted_products,$showproductid);
					$member_courses_count_pre = true;			
					if(isset($eng_member_prerequisite_obj) && ($action_builtin == "course_enrolled")){						
						
						$member_courses_new = getCourseList($userId, $hideproductid, 'course_enrolled_prerequisite', $sorting_option, $sorted_products,$showproductid);
						
						if(is_array($member_courses_new) && count($member_courses_new) && count($member_courses)){
							foreach($member_courses as $mcp_key=> $member_course_single){
								if(in_array($member_course_single,$member_courses_new)){
									unset($member_courses[$mcp_key]);
								}
							}
						}
						
						if(count($member_courses)==0){
							$member_courses_count_pre = false;
							$temp_html = $eng_member_prerequisite_obj->getTemplateHtml();
							
						}
						$member_courses_prerequisite_start_in_array = count($member_courses);	
						
						$member_courses	=	array_merge($member_courses,$member_courses_new);
						 
						 
						 
						
					}
					if($action_builtin =="course_enrolled" ) {
						// echo $action_builtin ; print_r($member_courses ); echo "<>";
						// echo $temp_html;
					}
					$dap_section_count_status = false;
					$dap_section_html = '';
					$memberdata_section_html = '';
					if(isset($member_courses)){
						
						$dap_section_count = 0;			
						$dap_section_count_new = 0;			
						foreach($member_courses as $member_course){	
							$dap_section_count++;
							$dap_section_count_new++;
							$dap_section_html = '';
							if($show_slider_status_inner && ($dap_section_count == 1)){
								$dap_section_count_status = true;
								$dap_section_html = '<div class="section_wrapper">';
							}
							
							$dap_section_count_new_class = "";
							
							if ($action_builtin != "course_inprogress"){
								if($num_of_products < $dap_section_count_new ){
									$dap_section_count_new_class = " dap_section_divider ";
								}
							}	
							
							if(isset($eng_member_prerequisite_obj) && ($action_builtin == "course_enrolled")){
									if(($member_courses_prerequisite_start_in_array == 0) || ($member_courses_count_pre && $dap_section_count > $member_courses_prerequisite_start_in_array )){
										if(count($member_courses_new)>0){	
											$popupdata .= popupdataForPrerequisite($member_courses_new, $dm_prerequisite_error_msg, $dm_prerequisite_popup_msg);
										}
									
										$temp_html = $eng_member_prerequisite_obj->getTemplateHtml();
										$dap_prerequisite_wrapper =" dap_prerequisite_wrapper ";
										$temp_html = str_replace( '%%OPENPREREQUISITEPOPUP%%','data-toggle="modal" data-target="#myModalPrerequisite'.$member_course.'" ', $temp_html);	
										$temp_html = str_replace( '%%openprerequisitepopup%%','data-toggle="modal" data-target="#myModalPrerequisite'.$member_course.'" ', $temp_html);	
									}
								
							}	
							
							
							$memberdata_section_html .= $dap_section_html.'<div class="completed-course-block '.$dap_section_count_new_class.$dap_prerequisite_wrapper.'" '.$custom_values_style.'>';
							
							if($action_builtin =="course_inprogress"){
								$memberdata_section_html .= replacePercentageMergeTags($userId, $member_course,$temp_html);	
							}else{
								
								
								$memberdata_section_html .= replaceMergeTags($member_course, $temp_html, $action_builtin);
								
							}
							
							$memberdata_section_html .= '</div>';	
							
							
							if(($dap_section_count_status) && ($dap_section_count == $product_per_screen)){
								$dap_section_count = 0;
								$dap_section_count_status = false;
								$memberdata_section_html .= '</div>';
							}
							
											
						}
					}
					
					if($dap_section_count_status){
						
							$memberdata_section_html .= '</div>';
					}
					
					$html_hidden_fields  = '<input type="hidden" name="product_per_screen" value="'.$product_per_screen.'">'; 
					$html_hidden_fields  .= '<input type="hidden" name="num_of_products" value="'.$num_of_products.'">'; 
					$html_hidden_fields  .= '<input type="hidden" name="show_slider" value="'.$show_slider.'">'; 
					$html_hidden_fields  .= '<input type="hidden" name="action_builtin" value="'.$action_builtin.'">'; 
					$html_hidden_fields  .= '<input type="hidden" name="id" value="'.$id.'">'; 
					 
					$custom_outer_width ="";
					if($custom_values != ''){
					    $custom_values_array = explode('||',$custom_values);					    
						if(isset($custom_values_array[1])){
							$custom_outer_width_val = $custom_values_array[1]*$num_of_products;
							if($custom_values_array[1] > 50 ){
								$custom_outer_width = ' style="width:'.$custom_outer_width_val.'px; max-width:100%;"';
							}
						}					    
				    }
					
					if($show_slider == 'slider' && (count($member_courses) > $product_per_screen) ){
						$memberdata_section_html  = '<div class="owl-carousel owl-theme num_of_products_each_row_'.$num_of_products.' member_rules_obj_'.count($member_rules_obj).' product_per_screen_'.$product_per_screen.' "  '. $custom_outer_width .'>'.$memberdata_section_html.'</div>';
					}else{
						$memberdata_section_html  = '<div class="num_of_products_each_row_'.$num_of_products.'" >'.$memberdata_section_html.'</div>';
					}
					
					$memberdata_section_html  .= $html_hidden_fields;
					
					if(count($member_courses) == 0){
						$memberdata_section_html  = '';
					}
					
					if($action_builtin =="course_completed" ){
						
						$template = str_replace( '%%COURSECOMPLETEDDAPENGAGEMENTTEMP%%',$selected_temp_no, $template);
						$memberdata_course_completed = $memberdata_section_html;
						
					}else if ($action_builtin =="course_inprogress" ) {
						
						$memberdata_progressbar = $memberdata_section_html;
					}else if ($action_builtin =="course_enrolled" ) {
						$template = str_replace( '%%COURSEENROLLEDDAPENGAGEMENTTEMP%%',$selected_temp_no, $template);
						$memberdata_course_enrolled = $memberdata_section_html;

					}else if ($action_builtin =="course_upsell" ) {
						$template = str_replace( '%%COURSEUPSELLDAPENGAGEMENTTEMP%%',$selected_temp_no, $template);
						$memberdata_course_upsell = $memberdata_section_html;
					}else if ($action_builtin =="normal_products" ) {
						$template = str_replace( '%%NORMALPRODUCTDAPENGAGEMENTTEMP%%',$selected_temp_no, $template);
						$memberdata_normal_products = $memberdata_section_html;
					}else if ($action_builtin =="upsell_products" ) {
                       $template = str_replace( '%%UPSELLPRODUCTSDAPENGAGEMENTTEMP%%',$selected_temp_no, $template);
                       
                         
						$memberdata_upsell_products = $memberdata_section_html;
					}
					
					
					
					
					
					
					
				}
			 
				$profilelink ="javascript:void(0);";		 
				$template = replaceUserMergeTags($email, $profilelink, $template, $name);
				$empty_classes = '';
				if($memberdata_progressbar == ''){
					$empty_classes .=  ' dap_member_temp_course_inprogress_section_empty  ';
				}
				if($memberdata_course_completed == ''){
					$empty_classes .=  ' dap_member_temp_course_completed_section_empty  ';
				}
				if($memberdata_course_enrolled == ''){
					$empty_classes .=  ' dap_member_temp_course_enrolled_section_empty  ';
				}
				if($memberdata_course_upsell == ''){
					$empty_classes .=  ' dap_member_temp_course_upsell_section_empty  ';
				}
				if($memberdata_normal_products == ''){
					$empty_classes .=  ' dap_member_temp_normal_products_section_empty  ';
				}
				if($memberdata_upsell_products == ''){ 
					$empty_classes .=  ' dap_member_temp_upsell_products_section_empty  ';
				}
				
				
				
				$template = str_replace( '%%COURSE_STARTED_BUT_NOT_COMPETE%%',$memberdata_progressbar, $template);
				$template = str_replace( '%%COURSE_COMPLETED%%',$memberdata_course_completed,$template);
				$template = str_replace( '%%COURSE_ENROLLED_BUT_NOT_START%%',$memberdata_course_enrolled, $template);
				$template = str_replace( '%%COURSE_UPSELL%%', $memberdata_course_upsell, $template);
				$template = str_replace( '%%NORMAL_PRODUCT%%', $memberdata_normal_products, $template);				
				$template = str_replace( '%%UPSELL_PRODUCTS%%', $memberdata_upsell_products, $template);
				
				$bages_html = getDAPAllBadgesByUserId($userId,$engagement_id);
				if($bages_html == ''){ 
					$empty_classes .=  ' dap_member_badges_section_empty  ';
				}
				
				$certificates_html = getDAPAllCertificatesByUserId($userId,$engagement_id);
				if($certificates_html == ''){
					$empty_classes .=  ' dap_member_temp_all_certificates_section_empty  ';
				}
				
				$recent_activity_html = DAPUserGetRecentActivityByIdStatDate($userId,date("Y-m-d 00:00:00",strtotime("-7 days")),$engagement_id);
				
				if($recent_activity_html == ''){
					$empty_classes .=  ' dap_member_recent_activity_section_empty  ';
				}
				
				$template = str_replace( '%%BADGES%%', $bages_html, $template);
				$template = str_replace( '%%TOTAL%%', DAPUserGetTotalPointsById($userId), $template);
				$template = str_replace( '%%TODAY%%', DAPUserGetTotalPointsByIdStatDate($userId,date("Y-m-d 00:00:00")), $template);				
				$template = str_replace( '%%RECENT_ACTIVITY%%', $recent_activity_html, $template);
				$template = str_replace( '%%CERTIFICATES%%', $certificates_html, $template);				
				$template = str_replace( 'contenteditable="true"','', $template);				
				
				$template_data = $template;
				$membercontent .= '<div class="dap_member_frontend_shortcode_eng frontend_member_'.$id.'"  id="frontend_member_engagment_id" style="display:none">';	
				$membercontent .= $template_data ;	
				$membercontent .= '</div>'; 
			}
		}
	}
	$membercontent .= engagment_add_scipt_style();
	$membercontent .= "<input type='file' name='dap_user_image_btn' id= 'dap_user_image_btn' style='display:none'>";
	$membercontent .= '<link rel="stylesheet" href="//stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">';
	
	if($show_slider_status){
			$membercontent.= '<link rel="stylesheet" href="//owlcarousel2.github.io/OwlCarousel2//assets/css/docs.theme.min.css">
    <!-- Owl Stylesheets --> 
    <link rel="stylesheet" href="//owlcarousel2.github.io/OwlCarousel2/assets/owlcarousel/assets/owl.carousel.min.css">
    <link rel="stylesheet" href="//owlcarousel2.github.io/OwlCarousel2/assets/owlcarousel/assets/owl.theme.default.min.css">
    <!-- javascript -->
    
    <script src="//owlcarousel2.github.io/OwlCarousel2/assets/owlcarousel/owl.carousel.js"></script>';
	}
	$style = "<style> ".$dm_engagement_certificate_btn_style."</style>"; 
	 
	return '<div class="engagment_shortcode_cont '.$action.'  '.$empty_classes.' ">'.$membercontent.$popupdata.' </div>'.$style;
}	


function popupdataForPrerequisite($member_courses_new, $dm_prerequisite_error_msg, $dm_prerequisite_popup_msg) {
	$productNamesList ="";
	$popupdata ="";
	if($dm_prerequisite_popup_msg ==""){
		 $dm_prerequisite_popup_msg =  'Course Prerequisite';
	}
		
	if(isset($member_courses_new)){
		foreach($member_courses_new as $course_new){
			$dm_prerequisite_error_msg1 = $dm_prerequisite_error_msg;			
			$cp_array = DAP_CoursePrerequisite::loadByCourseId($course_new);
			$prerequisite_ids="";
			if(isset($cp_array) ) {
				$prerequisite_ids = $cp_array->getPrerequisiteIds();									 
			}			 
			if($prerequisite_ids !=""){
				$prerequisite_ids_array = explode(",",$prerequisite_ids);
				$product_name="";
				if(isset($prerequisite_ids_array) ) {
					foreach($prerequisite_ids_array as $c_id){	//loop for 	prerequisite ids					
						$productobj = Dap_Product::loadProduct($c_id) ;	
						if(isset($productobj)){
							$product_name .= $productobj->getName().", "; 
						}
					}
				}
				if($product_name !=""){
					$product_name = rtrim($product_name, ", ");
				}
				$productNamesList = $product_name;
				$dm_prerequisite_error_msg1 =  str_replace( '%%PREREQUISITE_COURSE_NAMES%%',$productNamesList, $dm_prerequisite_error_msg1);
				
				$popupdata .='<div class="custom_modal-backdrop"></div>
				<div class="custom_modal_outer prerequisite_popup" id="myModalPrerequisite'.$course_new.'"> 
					<div class="custom_modal-inner custom_modal-dialog-centered">
						<div class="custom_modal-content">
							<div class="custom_modal-header">
								<h5 class="custom_modal-title">'.$dm_prerequisite_popup_msg.'</h5>
								<button type="button" class="custom_modal_close" data-dismiss="modal" aria-label="Close">×</button>
							</div>
							<div class="custom_modal-body">
								<div class="dm_prerequisite_error_msg">'.$dm_prerequisite_error_msg1.'</div>
							</div>
						</div>
					</div>
				</div>
			';
			}			 
		}
	}
							
							
	
	return $popupdata;
}

function engagment_add_scipt_style() {
	
	
	$membercontent ="";
	//check if js is included
	if(!wp_script_is('jquery')) {
		$membercontent =' <script src="//ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>';			
	}
	$csspath1 = dap_member_path."includes/templates/engagement/template1/style.css?".rand(10,1000); 
	$csspath2 = dap_member_path."includes/css/dap_member_builder_fe.css?".rand(10,1000);
	$jspath1 = dap_member_path."includes/js/dap_member_engagement_frontend.js?".rand(10,1000);
	$membercontent .= '<link href="'.$csspath.'" rel="stylesheet">';
	$membercontent .= '<link href="'.$csspath1.'" rel="stylesheet">';		 
	$membercontent .= '<link href="'.$csspath2.'" rel="stylesheet">';
	$membercontent .= '<script src="'.$jspath1.'" ></script>';
	return  $membercontent;	
}

function DAPGetMemberEngagementData($id, $action, $userId, $email, $name){
	$membercontent="";
	$memberdata_progressbar="";
	$memberdata_course_completed="";
	$memberdata_course_enrolled="";
	$memberdata_course_upsell="";
	$memberdata_normal_products="";
	$memberdata_upsell_products="";
	$hideproductid	="NONE";
	$showproductid	="NONE";
	$temp_html ="";
	$memberdata ="";
	//load data by id
	$memberobj = DAP_MemberEngagement::loadById($id);
	if($memberobj){
	
		$type = $memberobj->getType();		 
		$template = $memberobj->getTemplate();		 
		$template =stripslashes($template);		 
		//$template_type = $memberobj->getTemplateType();	
		$member_rules_obj =DAP_MemberEngagementRules::loadByEngagementId($id) ;	
		
		if($member_rules_obj){
			$temp_html = $member_rules_obj[0]->getTemplateHtml();
			$temp_html =stripslashes($temp_html);
			$temp_html = str_replace( 'contenteditable="true"','', $temp_html);				
		}
		$member_courses = getCourseList($userId, $hideproductid, $action);
		if(isset($member_courses)){			
			foreach($member_courses as $member_course){	
				if($action =="course_inprogress" ){	
					$memberdata_progressbar .='<div class="completed-course-block">';	$memberdata_progressbar .= replacePercentageMergeTags($userId, $member_course,$temp_html);			 
		 			$memberdata_progressbar .= '</div>';	
				}else if($action =="course_completed" ){
					$memberdata_course_completed .='<div class="completed-course-block">';
					$memberdata_course_completed .= replaceMergeTags($member_course, $temp_html, $action);
					$memberdata_course_completed .= '</div>';
				}else if($action =="course_enrolled" ){
					$memberdata_course_enrolled .='<div class="completed-course-block">';
					$memberdata_course_enrolled .= replaceMergeTags($member_course, $temp_html, $action);
					$memberdata_course_enrolled .= '</div>';
				}else if($action =="course_upsell" ){
					$memberdata_course_upsell .='<div class="completed-course-block">';
					$memberdata_course_upsell .= replaceMergeTags($member_course, $temp_html, $action);
					$memberdata_course_upsell .= '</div>';
				}else if($action =="normal_products" ){
					$memberdata_normal_products .='<div class="completed-course-block">';
					$memberdata_normal_products .= replaceMergeTags($member_course, $temp_html, $action);
					$memberdata_normal_products .= '</div>';
				}else if($action =="upsell_products" ){
					$memberdata_upsell_products .='<div class="completed-course-block">';
					$memberdata_upsell_products .= replaceMergeTags($member_course, $temp_html, $action);
					$memberdata_upsell_products .= '</div>';
				}				 				
			}
		}
		 
		if($action =="course_completed" ){
			$template = str_replace( '%%COURSE_COMPLETED%%',$memberdata_course_completed, $template);
		}elseif($action =="course_inprogress"){			
			$template = str_replace( '%%COURSE_STARTED_BUT_NOT_COMPETE%%',$memberdata_progressbar, $template);	
		}elseif($action =="course_enrolled"){			
			$template = str_replace( '%%COURSE_ENROLLED_BUT_NOT_START%%',$memberdata_course_enrolled, $template);	
		}elseif($action =="course_upsell"){			
			$template = str_replace( '%%COURSE_UPSELL%%',$memberdata_course_upsell, $template);	
		}elseif($action =="normal_products"){			
			$template = str_replace( '%%NORMAL_PRODUCT%%',$memberdata_normal_products, $template);
		}elseif($action =="upsell_products"){			
			$template = str_replace( '%%UPSELL_PRODUCTS%%',$memberdata_upsell_products, $template);		 
		}else{
			 
		}	
		$template = str_replace( 'contenteditable="true"','', $template);
		$template_data = $template;
		$membercontent .= '<div class="dap_member_frontend_shortcode_eng frontend_member_'.$id.'" >';	
		$membercontent .= $template_data ;	
		$membercontent .= '</div>'; 
	}
	$membercontent.= engagment_add_scipt_style();
	return '<div class="engagment_shortcode_cont '.$action.'">'.$membercontent.'</div>';
}

//get all the courses
function getCourseList($userId, $hideproductid, $action, $sorting_option, $sorted_products, $showproductid = ''){	
	
	if(trim($sorting_option) =="self_arrange"){
		$sorted_products_list_array = explode(",",$sorted_products);
		if(isset($sorted_products_list_array)){
			foreach ($sorted_products_list_array as $prod) {
				$productobj[] = Dap_Product::loadProduct($prod);			 
			}
		}		 
	}else{
		if(trim($sorting_option) =="id_asc"){
			$orderBy = "id"; $orderHow ="asc";
		}else{
			$orderBy = "id"; $orderHow ="desc";
		}			
		if($action =="normal_products" || $action =="upsell_products"){
			$productobj = Dap_Product::loadNormalProducts($orderBy,$orderHow);
		}else{
			$productobj = Dap_Product::loadProductByProductType("y",$orderBy,$orderHow) ;
		}
	}
	//echo "<pre>";print_r($productobj); die;
	
	$product_final = array();
	$product_final1 = array();
	if(isset($productobj)){		
		foreach($productobj as $prod){
			if($action =="normal_products" || $action =="upsell_products"){
				
			}else{
				if($prod->getCourseStatus() == 'trashed'){
						continue;
				}
			}			
			$course_id = $prod->getId();
			$product_structure = $prod->getProductStructure();				
			if(isset($showproductid)){			
				if($showproductid != "NONE" && $showproductid != "") {	
									 
					$ShowProductIdArray = explode(",",$showproductid);
					if(!in_array($prod->getId(), $ShowProductIdArray) ) {
						continue;
					}
				}
			}
			//hide the products
			if(isset($hideproductid)){			
				if($hideproductid != "NONE") {					 
					$hideProductIdArray = explode(",",$hideproductid);
					if( in_array($prod->getId(), $hideProductIdArray) ) {
						continue;
					}
				}
			}
		 
			if( $action=="course_upsell" || $action =="upsell_products" ){
				//check if user has access 				 
				$user_obj = new Dap_User();
				$user_obj->setId($userId);
				$hasAccess = $user_obj->hasAccessTo($course_id);			 
				if($hasAccess){						 
					continue;
				} 			
				$product_final[] = $course_id;				
			}elseif($action =="normal_products"  ){
				$user_obj = new Dap_User();
				$user_obj->setId($userId);
				$hasAccess = $user_obj->hasAccessTo($course_id);			 
				if(!$hasAccess){						 
					continue;
				} 		
				$product_final[] = $course_id;
			}else{
			
				//show the courses
				$getcourse_completed = getCompletedCourse($course_id, $userId, $product_structure, $action);			 
				if($getcourse_completed ==true){
					//check if user has access 				 
					$user_obj = new Dap_User();
					$user_obj->setId($userId);					 
					$hasAccess = $user_obj->hasAccessTo($course_id);			 
					if(!$hasAccess){						 
						continue;
					} 				
					$product_final[] = $course_id;
				}
			
								
			}		
		}
				
	} 
	 
	if( $action =="course_enrolled_prerequisite"){
		if(isset($product_final)){
			$product_final1 = array();
			foreach($product_final as $p_id){
				$checkifenrolled = checkIfCourseIsPrerequisiteOrEnrolled($p_id, $userId);
				if(!$checkifenrolled){
					 $product_final1[] = $p_id;
					
				} 
			}			
			return $product_final1;
			 
		}
	}
	
	return $product_final;
}

function checkIfCourseIsPrerequisiteOrEnrolled($p_id, $userId){
	$hascompleted = true;
	$cp_array = DAP_CoursePrerequisite::loadByCourseId($p_id);
	$prerequisite_ids="";
	if(isset($cp_array) ) {
		$prerequisite_ids = $cp_array->getPrerequisiteIds();		 
	}
	
	if(isset($cp_array) && $prerequisite_ids !=""){
		$prerequisite_ids_array = explode(",",$prerequisite_ids);
		$count = 0;
		if(isset($prerequisite_ids_array) ) {
			foreach($prerequisite_ids_array as $c_id){	//loop for 	prerequisite ids					
				$productobj = Dap_Product::loadProduct($c_id) ;	
				
				
				if(isset($productobj)){
					$product_structure = $productobj->getProductStructure();
					$product_type = $productobj->getProductType();
				
					if($product_type =="y"){
						 //check If User Has Access to The Course
						$user = Dap_User::loadUserById($userId);
						
						$hasAccess = $user->hasAccessTo($c_id);
						 
						if($hasAccess){
							
							//check If User Has Completed The Course
							$completed = checkIfUserHasCompletedTheCourse($c_id, $product_structure,$userId);
							
							if($completed == true){
								$hascompleted = true;
								continue;
							}else{
								return $hascompleted = false;
							}
						}					
					}
				}	
			}
		}
	}	
	return $hascompleted;	
}

function getCompletedCourse($course_id, $userId, $product_structure, $action){
	//echo "course_id ".$course_id;
	$hascompleted = false;	
	$hasinprogress = false;	
	$hasenrolled = false;	
	$hasupsell = false;	
	$lessonurlcount1 =0;
	$lessoncount=0;			 			 				
	$unit_url_list = array();		
	//lesson loop	
	if($product_structure == "lesson"){		
		    $product_obj_var = new Dap_Product();				
			$lessonurls  = $product_obj_var->displayFileResourcesWithCourseId($course_id);
			$dap_course_obj_var = new DAP_UserCourseProgress();
			$lessoncount = $dap_course_obj_var->lessonCountByCourseIduserId($course_id , $userId );	 
	}else{
		
		$moduledata = DAP_CourseModule::loadByCourseId($course_id) ;	
		if(isset($moduledata)) {							 
			$lessonurls = array();
			
			// module loop					
			foreach($moduledata as $mod){					
				 $product_obj_var = new Dap_Product();								
				 $lessonurls[]  =  $product_obj_var->displayFileResourcesWithModuleIdCourseId($course_id, $mod->getId());
				 $user_course_obj_var = new DAP_UserCourseProgress();		
				 $lessoncount += $user_course_obj_var->lessonCountByCourseIdModuleIduserId($course_id , $mod->getId(), $userId );				 							
			}							
			
			if(count($lessonurls)){
				$lessonurls_new = array();
				foreach($lessonurls as $lessonurl){
					foreach($lessonurl as $lessonurl_single){
						$lessonurls_new[] = $lessonurl_single;										 
					}
				}								
				$lessonurls = $lessonurls_new;								
			}				 
		}
	}				

	if(isset($lessonurls)) {							 
		foreach($lessonurls as $lessonurl){
			$unit_url_list[]  = $lessonurl['url'];							 					 
		}						  
	}	
	$lessonurlcount1 = count($unit_url_list);
	if($lessoncount ==""){
		$lessoncount =0;
	}
/*	echo "lessoncount ".$lessoncount;
	echo "lessonurlcount1 ".$lessonurlcount1;
	echo "<br>";*/
	 
	if($action == "course_completed"){
		if($lessoncount >0){
			if($lessoncount == $lessonurlcount1){	
				$hascompleted = true;
			}		 
		}
		return $hascompleted;		
	}
	
	if( $action=="course_inprogress"){
		if($lessoncount >0){
			if($lessoncount == $lessonurlcount1){				
				$hasinprogress = false; 
			}else{
				
				$hasinprogress = true; 
			}
		}
		return $hasinprogress;		
	}
	
	if( $action=="course_enrolled" || $action =="course_enrolled_prerequisite"){
		if($lessoncount < 1){		 
			$hasenrolled = true; 
		}
		return $hasenrolled;		
	}
	
}

function replaceMergeTags($productId,$html, $action){	 
	//load products
	$product = Dap_Product::loadProduct($productId);	
	if(isset($product)){
		$product_id = $product->getId();
		$product_name = $product->getName();
		
		$prod_image = $product->getProduct_image_url();
		$sales_page_url = $product->getsales_page_url(); 
		$logged_in_url =  $product->getlogged_in_url();
		if($sales_page_url == ""){
			$sales_page_url =  "javascript:void(0);";      
		} 
		if($logged_in_url == ""){
			$logged_in_url =  "javascript:void(0);";      
		} 
		//$prod_image = dap_resize_image($prod_image, 90, 90);
		if($prod_image ==""){
			$prod_image =   dap_member_path."includes/images/no-image.jpg"; 
		}
		$prod_img ='<img src="'.$prod_image.'"/>';
		$html = str_replace( '%%PRODUCT%%',$product_name, $html);	
		$html = str_replace( '%%COURSE%%','<div title="'.$product_name.'">'.$product_name.'</div>', $html);	
		$html = str_replace( '%%IMAGESPATH%%','', $html);	
		$html = str_replace( '%%FRONTPROIMG%%','', $html);	
		$html = str_replace( '%%FRONTPROIMG%%','', $html);
		$html = str_replace( '%%PRODUCTIMAGE%%',$prod_img, $html); 
		
		if( $action=="course_upsell" || $action =="upsell_products"){			 
			$html = str_replace( '%%PRODUCTIMAGEURLINKEDTO%%',$sales_page_url, $html);
			$html = str_replace( '%%SALESURL%%',$sales_page_url, $html);
			$html = str_replace( '%%DAP_SALE_PAGE_URL%%',$sales_page_url, $html);
		}else{
			$html = str_replace( '%%PRODUCTIMAGEURLINKEDTO%%',$logged_in_url, $html);
			$html = str_replace( '%%SALESURL%%',$logged_in_url, $html);
			$html = str_replace( '%%DAP_SALE_PAGE_URL%%',$logged_in_url, $html);
		}
		$html = str_replace( 'contenteditable="true"','', $html);		
		return $html;		
	} 
	return;
}


function replaceUserMergeTags($email,$profilelink, $html,$name){	
	$userObj = Dap_User::loadUserByEmail($email);
	$img_url =  get_avatar( $email,150 ); 
	
	if(isset($userObj)){
		$img_url_new = $userObj->getUser_image();
		if($img_url_new != ''){
			$img_url = '<img alt="" src="'.$img_url_new.'" class="avatar avatar-140 photo dap_user_img" height="160" width="150" loading="lazy">';
		}
	}
	 
	$html = str_replace( '%%USERIMG%%',$img_url, $html);
	$html = str_replace( '%%USER_EMAIL%%',$email, $html);
	$html = str_replace( '%%USER_NAME%%',$name, $html);
	$html = str_replace( '%%PROFILELINK%%',$profilelink, $html);
	$html = str_replace( 'contenteditable="true"','', $html);
	return $html;
}
function replacePercentageMergeTags($userId, $product_id, $html){	
		//load products
		$product = Dap_Product::loadProduct($product_id);	
		if(isset($product)){
			$product_id = $product->getId();
			$product_name = $product->getName();
			
			$product_structure = $product->getProductStructure();
			$sales_page_url = $product->getsales_page_url(); 
			$logged_in_url =  $product->getlogged_in_url();
			if($sales_page_url == ""){
				$sales_page_url =  "javascript:void(0);";      
			} 
			if($logged_in_url == ""){
				$logged_in_url =  "javascript:void(0);";      
			}         			
			$user_total_complete_course_data = getPercentage($product_id,$product_structure, $userId);			
			$user_total_complete_course_data = explode("||", $user_total_complete_course_data);			
			$user_total_complete_course = $user_total_complete_course_data[0];			
			$user_total_complete_lesson = $user_total_complete_course_data[1];			
			$user_total_lessons = $user_total_complete_course_data[2];
			if($user_total_complete_course >100){
				$user_total_complete_course = 100;
			}
			if($user_total_complete_lesson > $user_total_lessons){
				$user_total_complete_lesson = $user_total_lessons;
			}
 	
			$html = str_replace( '%%PRODUCT%%',$product_name, $html);	
			$html = str_replace( '%%COURSE%%',$product_name, $html);	
			$html = str_replace( '%%IMAGESPATH%%','', $html);	
			$html = str_replace( '%%FRONTPROIMG%%','', $html);	
			$html = str_replace( '%%FRONTPROIMG%%','', $html);	
			$html = str_replace( 'contenteditable="true"','', $html);		  
			$html = str_replace( '75%',$user_total_complete_course.'%', $html);	 
			$html = str_replace( '%%LESSONCOMPLETED%%',$user_total_complete_lesson, $html);	 
			$html = str_replace( '%%TOTALLESSONS%%',$user_total_lessons, $html);
			if( $action=="course_upsell" || $action =="upsell_products"){			 
				$html = str_replace( '%%PRODUCTIMAGEURLINKEDTO%%',$sales_page_url, $html);
				$html = str_replace( '%%SALESURL%%',$sales_page_url, $html);
				$html = str_replace( '%%DAP_SALE_PAGE_URL%%',$sales_page_url, $html);
			}else{
				$html = str_replace( '%%PRODUCTIMAGEURLINKEDTO%%',$logged_in_url, $html);
				$html = str_replace( '%%SALESURL%%',$logged_in_url, $html);
				$html = str_replace( '%%DAP_SALE_PAGE_URL%%',$logged_in_url, $html);
			}			
			return $html;
	}
}


function getPercentage($course_id,$product_structure, $userId){
	$user_total_complete_course =0;
	$lessonurlscount =0;
	//lesson loop	
	if($product_structure == "lesson"){		
		    $product_obj_var = new Dap_Product();				
			$lessonurlscount  = $product_obj_var->getCountFileResourcesWithCourseId($course_id);
			$dap_course_obj_var = new DAP_UserCourseProgress();
			$lessoncount = $dap_course_obj_var->lessonCountByCourseIduserId($course_id , $userId );	 
	}else{
		
		$moduledata = DAP_CourseModule::loadByCourseId($course_id) ;	
		if(isset($moduledata)) {							 
			 
			// module loop					
			foreach($moduledata as $mod){			
				 $product_obj_var = new Dap_Product();			
				 
				 $lessonurlscount +=  $product_obj_var->getCountFileResourcesWithModuleIdCourseId($course_id, $mod->getId());
				 $user_course_obj_var = new DAP_UserCourseProgress();	
				 $lessoncount += $user_course_obj_var->lessonCountByCourseIdModuleIduserId($course_id , $mod->getId(), $userId );				 							
			}							
		 				 
		}
	}				
  
	$lessonurlcount1 = $lessonurlscount; 
	//if($action == "course_completed"){
		if($lessoncount >0){
			 
		$total_complete_course_percentage = ($lessoncount*100)/$lessonurlcount1;
		 //	echo "total_complete_course_percentage ".$total_complete_course_percentage;
		$user_total_complete_course = (int)$total_complete_course_percentage;
		
		$total_complete_course_percentage = number_format((float)$total_complete_course_percentage, 2, '.', '');
		
		}
		 	
	//}
	 return $user_total_complete_course.'||'.$lessoncount.'||'.$lessonurlcount1 ;
	
}
//Not Logged-in user Message
function DAPNotLoggedinMessage(){
	$pleaselogintext ="Click here to log in";
	$pleaselogintext =  dapMemberGetMessageByKeyAndAction('mycontent','pleaselogintext');
	$style_attr =" <style> #notloggedin_outer  a {font-weight: 600;color: #333;font-size: 15px;} #notloggedin_outer .not_logged { color: #2239b9;font-weight: 600; text-decoration: underline; }</style>";
	  
   $errorHTML = mb_convert_encoding($pleaselogintext, "UTF-8", "auto") . " <a class='not_logged' href=\"" . Dap_Config::get("LOGIN_URL") . "\">". mb_convert_encoding($clicktologintext, "UTF-8", "auto") . "</a>";
   return "<div id='notloggedin_outer'>".$errorHTML.$style_attr."</div>";
}




function DAPUserGetTotalPointsById($user_id = 0){
	$user_obj =  Dap_User::loadUserById($user_id); 
	$user_credits_available = 0;
	if(isset($user_obj)){
		$user_credits_available = $user_obj->getCredits_available();
	}
	return $user_credits_available;	
}




function DAPUserGetTotalPointsByIdStatDate($user_id = 0,$start_date = ''){
	 $history_obj =  DAP_CreditsHistory::loadByUserIdAndStartDateAndEndDateHistory($user_id,$start_date,'');
	 $credits_earned = 0;
	 if(is_array($history_obj) && count($history_obj)){	 
		 foreach($history_obj as $history_single_obj){
			 $credits_earned = $credits_earned + $history_single_obj->getCreditsEarned();
		 }
	 } 
	 
	return $credits_earned;	
}


 function dap_resize_image($url, $width, $height) {

		header('Content-type: image/jpeg');

		list($width_orig, $height_orig) = getimagesize($url);

		$ratio_orig = $width_orig/$height_orig;

		if ($width/$height > $ratio_orig) {
		  $width = $height*$ratio_orig;
		} else {
		  $height = $width/$ratio_orig;
		}

		// This resamples the image
		$image_p = imagecreatetruecolor($width, $height);
		$image = imagecreatefromjpeg($url);
		imagecopyresampled($image_p, $image, 0, 0, 0, 0, $width, $height, $width_orig, $height_orig);

		// Output the image
		imagejpeg($image_p, null, 100);
		
	}
 

	// makes the process simpler
	/*function loadImage($url, $width, $height){
         echo 'image.php?url=', urlencode($url) ,
         '&w=',$width,
         '&h=',$height;
	}*/
