<?php 

echo DapMemberShowLoader();

$notify_file_upload_email = Dap_Config::get('FILEUPLOADNOTIFY');

if($notify_file_upload_email == ''){
	$notify_file_upload_email = 	Dap_Config::get('ADMIN_EMAIL');
}

$custom_fields_style = array();

// account 
$show_profile_account_info_section = true;
$show_first_name_section = true;
$show_last_name_section = true;
$show_email_section = true;
// password
$show_profile_change_password_section = true;

//billing
$show_profile_billing_info_section = true;
$show_profile_billing_address1_section = true;
$show_profile_billing_address2_section = true;
$show_profile_billing_city_section = true;
$show_profile_billing_state_section = true;
$show_profile_billing_postal_code_section = true;
$show_profile_billing_country_section = true;
//$show_profile_billing_phone_section = true;
//$show_profile_billing_company_section = true;
//$show_profile_billing_paypal_email_section = true;
//$show_profile_billing_opted_out_section = true;

// additinal
$show_profile_additional_info_section = false;
$show_profile_additional_phone_section = true;
$show_profile_additional_fax_section = true;
$show_profile_additional_company_section = true;
$show_additional_title_section = true;
$show_profile_additional_paypal_email_section = true;
$show_profile_additional_opted_out_section = true;

// gdpr
$show_profile_gdpr_section = true;

$cutom_fields_arry = true;
$gdpr_msg_section = "Are you sure you do not want to give GDPR consent?";

$allMemberPages_obj = DAP_MemberPages::loadByAction('profile');
$page_id_already_used = array();
if(count($allMemberPages_obj)){
	foreach($allMemberPages_obj as $allMemberPage_obj){
		$page_id_already_used[] = $allMemberPage_obj->getPageId();
	}
}

$blur_radius = 9;

if(isset($_GET['id']) and is_numeric($_GET['id'])){
	$mp_obj = DAP_MemberPages::loadById($_GET['id']);
	if($mp_obj && ($mp_obj->getAction() == 'profile')){
		
		$template =  $mp_obj->getTemplateHtml();
		
		$styling_options = $mp_obj->getStylingOptions();
		$styling_options = explode("|||",$styling_options);
		
		if(isset($styling_options[0])){
			
			$display_temp = explode("||",$styling_options[0]);
			
			$show_profile_account_info_section = $display_temp[0];
			$show_first_name_section = $display_temp[1];
			$show_last_name_section = $display_temp[2];
			$show_email_section = $display_temp[3];
			
			
		}
		
		if(isset($styling_options[1])){
			$display_temp_pass = explode("||",$styling_options[1]);
			$show_profile_change_password_section = $display_temp_pass[0];
						
		}
		
		if(isset($styling_options[2])){
			$display_temp_billing = explode("||",$styling_options[2]);
			
			
			$show_profile_billing_info_section = $display_temp_billing[0];
			$show_profile_billing_address1_section = $display_temp_billing[1];
			$show_profile_billing_address2_section = $display_temp_billing[2];
			$show_profile_billing_city_section = $display_temp_billing[3];
			$show_profile_billing_state_section = $display_temp_billing[4];
			$show_profile_billing_postal_code_section = $display_temp_billing[5];
			$show_profile_billing_country_section = $display_temp_billing[6];
						
		}
		if(isset($styling_options[3])){
			$display_temp_additional = explode("||",$styling_options[3]);
			
			$show_profile_additional_info_section = $display_temp_additional[0];
			$show_profile_additional_phone_section = $display_temp_additional[1];
			$show_profile_additional_fax_section = $display_temp_additional[2];
			$show_profile_additional_company_section = $display_temp_additional[3];
			$show_additional_title_section = $display_temp_additional[4];
			$show_profile_additional_paypal_email_section = $display_temp_additional[5];
			$show_profile_additional_opted_out_section = $display_temp_additional[6];
							
		}
		
		if(isset($styling_options[4])){
			$display_temp_gdpr = explode("||",$styling_options[4]);
			$show_profile_gdpr_section = $display_temp_gdpr[0];				
		}
		
		//External Shadow Customizer 
		
		if(isset($styling_options[5])){ 
			
			$shadow_option = explode("||",$styling_options[5]);
			$sprd_radius = $shadow_option[0];
			$blur_radius = $shadow_option[1];
			$hor_lnth = $shadow_option[2];
			$ver_lnth = $shadow_option[3];
			$shad_clr = $shadow_option[4];
			
		}
		
		//Template Style
		if(isset($styling_options[6])){ 
			
			$template_option = explode("||",$styling_options[6]);
			$temp_frnt_wid = $template_option[0];
			$temp_background_outer_color = $template_option[1];
			$temp_frnt_bdr_style = $template_option[2];
			$temp_frnt_bdr_wid = $template_option[3];
			$temp_frnt_br_radius = $template_option[4];
			$temp_frnt_bdr_color = $template_option[5];
			$temp_frnt_padd_top = $template_option[6];
			$temp_frnt_padd_bottom = $template_option[7];
			$dm_profile_temp_aligment = $template_option[8];
			
		}
		
		//Background Color
		if(isset($styling_options[7])){ 
			
			$background_clr_option = explode("||",$styling_options[7]);
			$account_background_color = $background_clr_option[0];
			$change_pass_background_color = $background_clr_option[1];
			$billing_background_color = $background_clr_option[2];
			$additional_background_color = $background_clr_option[3];
			$gdpr_background_color = $background_clr_option[4];
      
		}
		
		//cancel button style 
		/*
		if(isset($styling_options[8])){ 
			
			$cancel_btn_option = explode("||",$styling_options[8]);
			$cancel_btn_background_outer_color = $cancel_btn_option[0];
			$cancel_btn_frnt_bdr_style = $cancel_btn_option[1];
			$cancel_btn_frnt_bdr_wid = $cancel_btn_option[2];
			$cancel_btn_frnt_br_radius = $cancel_btn_option[3];
			$cancel_btn_frnt_bdr_color = $cancel_btn_option[4];
			$cancel_btn_frnt_wid = $cancel_btn_option[5];
			
		}
		*/
		//update button style 
		if(isset($styling_options[8])){ 
			
			$upload_btn_option = explode("||",$styling_options[8]);
			$update_btn_background_outer_color = $upload_btn_option[0];
			$update_btn_frnt_bdr_style = $upload_btn_option[1];
			$update_btn_frnt_bdr_wid = $upload_btn_option[2];
			$update_btn_frnt_br_radius = $upload_btn_option[3];
			$update_btn_frnt_bdr_color = $upload_btn_option[4];
			$update_btn_frnt_wid = $upload_btn_option[5];
			
		}
		
		if(count($styling_options) == 10){
			$styling_options[11] = $styling_options[9]	;
		}else if(count($styling_options) == 11){
			$styling_options[11] = $styling_options[10]	;	
		}
		
		//custom button style 
		if(isset($styling_options[12])){ 
			$cutom_fields_arry = explode("||",$styling_options[12]);
			$show_custom_fields_section = $cutom_fields_arry[0];
			if(isset($cutom_fields_arry[1])){
				$custom_fields_style = explode(',',$cutom_fields_arry[1]);
			}
		}
		
		if(count($styling_options) > 10){
			//for affiliate coupon section
			$show_profile_aff_req_section = false;
			$req_aff_coupon_admin_email = '';
			if(isset($styling_options[9])){ 
				$show_profile_aff_req_section = $styling_options[9];	
				if($show_profile_aff_req_section){
					$req_aff_coupon_admin_email = $mp_obj->getAdminEmail() ;	
				}
			}
			
			if(count($styling_options) > 11){
				if(isset($styling_options[10])){ 
					$file_options = explode("||",$styling_options[10]);		
					if(isset($file_options[1])){
						$allow_file_upload_data = explode("|",$file_options[0]);
						$allow_file_upload = $allow_file_upload_data[0];
						$show_existing_files = $allow_file_upload_data[1];
						$allowed_types_of_file = $file_options[1];
						$allowed_types_of_file_arr = explode('|' , $allowed_types_of_file);
						$max_upload_size = $file_options[2];
						$max_number_of_file = $file_options[3];
						
						$allowedMimesData = dapGetAllowedMimes($allowed_types_of_file_arr);
		
						if(isset($allowedMimesData)){
							$allowedImage = $allowedMimesData['allowedImage']	;
							$allowedDoc = $allowedMimesData['allowedDoc'];	
							$allowedAudio = $allowedMimesData['allowedAudio'];	
							$allowedVideo = $allowedMimesData['allowedVideo'];		
						}
					
					}
				}
			
			}
		}
		
		
		$action_id = $mp_obj->getId();
		$mpv_obj = DAP_MemberPagesValues::loadByActionId($action_id);
		if($mpv_obj){
			$redirect_obj = DAP_MemberPagesValues::loadByActionIdAndName($action_id,'redirect_url');
			if($redirect_obj){
					$redirect_url = $redirect_obj->getValue();
			}
			$gdp_msg_obj = DAP_MemberPagesValues::loadByActionIdAndName($action_id,'gdpr_msg_section');
			if($gdp_msg_obj){
					$gdpr_msg_section = $gdp_msg_obj->getValue();
			}
		}
		
			
		
	}else{
		
		unset($mp_obj);
	}
	
}

$showFileInfoError = 'N';
if (!function_exists('finfo_open')) {
	$showFileInfoError = 'Y';	
}
 $script_profile = plugin_dir_url(__FILE__).'includes/js/dap_member_profile.js';
  
?>

<script src='//gitcdn.github.io/bootstrap-toggle/2.2.2/js/bootstrap-toggle.min.js?ver=2.5.2' id='dap_member_toggle_min-js'></script>
<script src='<?php echo $script_profile;?>' id='dap_member_profile-js'></script>



<div id="dap_member_page_wrapper">
	<div class="dap_member_profile_outer common_outer">
		<ul class="nav nav-tabs custom_tabbar" id="dap_member_profile_tabs" role="tablist"> 
		  <li class="nav-item">
			<a class="nav-link <?php if(!$mp_obj){ echo 'active';} ?>" href="#dap_member_profile_general"  role="tab" aria-selected="false"><span>1</span> <span class="fa_tick"><i class="fa fa-check"></i></span> General</a>
		  </li>
		  <li class="nav-item">
			<a class="nav-link <?php if($mp_obj){ echo 'active';} ?>" href="#dap_member_profile_preview"  role="tab" aria-selected="true"><span>2</span> <span class="fa_tick"><i class="fa fa-check"></i></span> Customizer</a>
		  </li>
		  <li class="nav-item ">
			<a class="nav-link" href="#dap_member_profile_shortdetails" role="tab" aria-selected="false"><span>3</span> <span class="fa_tick"><i class="fa fa-check"></i></span> Short Details</a>
		  </li>
		</ul>
		
		
		<div class="tab-content dap_member_content">
			<div class="tab-pane <?php if(!$mp_obj){ echo 'active';} ?>" id="dap_member_profile_general" role="tabpanel" aria-labelledby="template-tab">
				<div class="master_heading d-flex align-items-center">
					<h4><i class="fa fa-user mr-2"></i>Profile Detail Page</h4>
				</div>
				<input type="hidden"  name="profile_edit_id" value="<?php if(($mp_obj) && ($mp_obj->getId())){ echo $mp_obj->getId();}?>" >
				<input type="hidden" name="template_selected_name" value="<?php if(($mp_obj) && ($mp_obj->getTemplate())){ echo $mp_obj->getTemplate();}?>">
				<input type="hidden" name="page_id" value="<?php if(isset($mp_obj)){echo $mp_obj->getPageId();}?>">
				<input type="hidden" value="<?= isset($showFileInfoError) ? $showFileInfoError : 'N'; ?>" id="showFileInfoError">
				<h3 class="section_heading"><span class="count">1</span>Enter a Name for your Profile Details Page</h3>
				<div class="form-group row mb-4">
				  <div class="col-sm-7">
				   <div class="input-group mb-1">
					<div class="input-group-prepend">
					  <div class="input-group-text"><?php echo site_url();?></div>
					</div>
					<input type="text" placeholder="Enter Name"  class="form-control" name="profile_name" value="" <?php if($mp_obj){ echo 'disabled=disbled';}?>>
				  </div>
				   <div class="page_response"></div>
				  
				 </div>
				 <div class="col-sm-2 ">
					<button type="button" class="btn btn-success theme-btn dap_member_profile_create_page_btn" onclick="dap_member_profile_create_page_btn(this)" <?php if($mp_obj){ echo 'disabled=disbled';}?>>Click to Create</button>
				 </div>
				</div>
				
				<div class="form-group row mb-4">
				  <div class="col-sm-7">
					<div class="or">
					  <span>OR</span>
					</div>
				  </div>
				</div>
				
				<div class="form-group row">
					<div class="col-sm-2 align-items-center d-flex">
						<label> Select an existing page</label>
					</div>
					<div class="col-sm-5 pl-1">
						<select class="form-control" id="profile_page_url" name="profile_page_url" <?php if($mp_obj){ echo 'disabled=disbled';}?>>
							<option value="">Select a URL</option>
							<?php
							$page_ids = get_all_page_ids();
							foreach($page_ids as $page){
								$page_name = get_page( $page );
							    $selected = '';
								if ($page_name->post_status == 'publish'){
									
									if(isset($mp_obj) && ($mp_obj->getPageId() == $page)){
										$selected = 'selected=selected';
									}else if(in_array($page,$page_id_already_used)){
										continue;
										
									}
								?>
								<option value='<?php echo ($page); ?>' <?php echo $selected;?> >
								<?php echo get_permalink($page); ?>
								</option>
								<?php }

							}//close foreach loop ?>
						</select>
					 </div>
				</div>
				
				<h3 class="section_heading"><span class="count">2</span>Enter Redirect URL	<div class="tool-tip">
					<i class="fa fa-info-circle" aria-hidden="true"></i>
					<div class="toll-tip-desc">For ex: http://yoursite.com/my-account(Users will be redirected to this page upon profile update.If you leave it empty, the users will remain on the same page.)</div>
				</div></h3>
				
				<div class="form-group row mb-4">
					<div class="col-sm-4">
						<input type="text" class="form-control" name="redirect_url" value="<?php echo $redirect_url;?>" placeholder="Enter redirect url"> 
				 
					</div>
				</div>
				
				
				<h3 class="section_heading"><span class="count">3</span>Enter GDPR Confirmation Message	</h3>
				<div class="form-group row mb-4">
					<div class="col-sm-4">
						<input type="text" class="form-control" name="gdpr_msg_section" value="<?php echo $gdpr_msg_section;?>" placeholder="Enter GDPR confirmation message"> 
				 
					</div>
				</div>
				
				
				<h3 class="section_heading"><span class="count">4</span> Select Template</h3>
				<ul class="choices-template row ml-3">
					 <li class="template1 <?php if(($mp_obj) && ($mp_obj->getTemplate() == 'template1')){ echo "activeCustomize";}?>">
						<label>
							<div class="template_preview_img">
								
								<img src="<?= plugin_dir_url(__FILE__) ?>includes/templates/profile/template1/preview.jpg" onclick="dap_member_profile_preview_temp('profile','template1')" class="select_temp" >
							</div>
							<div class="active-box-div">
								<div class="true-icon">
									<i class="fa fa-check">
									</i>
								</div>
							</div>
							<div class="pre-box-div">
								<div class="pre-icon">
									<input type="button" class="preview_temp btn btn-success mr-2" onclick="dap_member_profile_preview_temp('profile','template1')" value="Preview">
									<input type="button" class="preview_temp btn btn-warning" onclick="dap_member_profile_customize_temp('profile','template1')" value="Customize">
								</div>
							</div>
						</label>
					</li>
				 </ul>
				 
				<div class="tab_bottom_button">
					<div class="retun_member_pages_link text-left col-sm-4">
						<a class="btn btn-success mb-2 theme-btn" href="<?php echo admin_url('admin.php?page=dap_member_pages') ?>">Return To Member Pages</a>
					</div>
					<button type="button" class="btn btn-success theme-btn" onclick="dap_member_goto_next_tab('#dap_member_profile_preview')">Next <img src="<?php echo plugin_dir_url(__FILE__); ?>includes/images/next-arrow.png" alt=""></button>
				</div>
			</div>
			
			<div class="tab-pane <?php if($mp_obj){ echo 'active';} ?>" id="dap_member_profile_preview" role="tabpanel" aria-labelledby="template-tab">
				<div class="master_heading d-flex align-items-center">
					<h4><i class="fa fa-user mr-2"></i>My Profile</h4>
				</div>
				<div class="row">
					<div class="col-sm-3 profile_left_part">
						<div class="customized-optional">
						  <div class="customizer_heading">Display Options </div>
							<ul class="templates-styles profile_show_section_option">
								<li class="customizer_main_heading">
									<label><b>Account Information</b></label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_account_info_section == 'true'){ echo 'checked';} ?> data-id="show_profile_account_info_section" name="show_profile_account_info_section"  data-toggle="toggle">
									</div>
								</li>
								<li class="sub_customizer sub_profile_account_info_section">
									<label>First Name</label>
									<div class="input-group ">											
										 <input type="checkbox"  <?php if($show_first_name_section == 'true'){ echo 'checked';} ?> data-id="show_first_name_section"  name="show_first_name_section" data-toggle="toggle">
									</div>
								</li>
								<li  class="sub_customizer sub_profile_account_info_section">
									<label>Last Name</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_last_name_section == 'true'){ echo 'checked';} ?> data-id="show_last_name_section" name="show_last_name_section" data-toggle="toggle">
									</div>
								</li>
								
								<li  class="sub_customizer sub_profile_account_info_section">
									<label>Email</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_email_section == 'true'){ echo 'checked';} ?> name="show_email_section" data-id="show_email_section" data-toggle="toggle">
									</div>
								</li>
								
								<li class="customizer_main_heading">
									<label><b>Change Password</b></label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_change_password_section == 'true'){ echo 'checked';} ?> data-id="show_profile_change_password_section" name="show_profile_change_password_section" data-toggle="toggle">
									</div>
								</li>
								
								<li class="customizer_main_heading">
									<label><b>Billing Information</b></label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_billing_info_section == 'true'){ echo 'checked';} ?> data-id="show_profile_billing_info_section" name="show_profile_billing_info_section" data-toggle="toggle">
									</div>
								</li>
								<li  class="sub_customizer sub_billing_info_section">
									<label>Address 1</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_billing_address1_section == 'true'){ echo 'checked';} ?> data-id="show_profile_billing_address1_section" name="show_profile_billing_address1_section" data-toggle="toggle">
									</div>
								</li >
								<li  class="sub_customizer sub_billing_info_section">
									<label>Address 2</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_billing_address2_section == 'true'){ echo 'checked';} ?> data-id="show_profile_billing_address2_section" name="show_profile_billing_address2_section" data-toggle="toggle">
									</div>
								</li >
								
								<li class="sub_customizer sub_billing_info_section">
									<label>City</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_billing_city_section == 'true'){ echo 'checked';} ?> data-id="show_profile_billing_city_section" name="show_profile_billing_city_section" data-toggle="toggle">
									</div>
								</li>
								<li class="sub_customizer sub_billing_info_section">
									<label>State</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_billing_state_section == 'true'){ echo 'checked';} ?> data-id="show_profile_billing_state_section" name="show_profile_billing_state_section" data-toggle="toggle">
									</div>
								</li>
								<li class="sub_customizer sub_billing_info_section">
									<label>Zip/Postal Code</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_billing_postal_code_section == 'true'){ echo 'checked ';} ?> data-id="show_profile_billing_postal_code_section" name="show_profile_billing_postal_code_section" data-toggle="toggle">
									</div>
								</li>
								<li class="sub_customizer sub_billing_info_section">
									<label>Country</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_billing_country_section == 'true'){ echo 'checked';} ?> data-id="show_profile_billing_country_section" name="show_profile_billing_country_section" data-toggle="toggle">
									</div>
								</li>
								
								
							
								
								<li class="customizer_main_heading">
									<label><b>Additional Information</b></label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_additional_info_section == 'true'){ echo 'checked';} ?> data-id="show_profile_additional_info_section"  name="show_profile_additional_info_section" data-toggle="toggle">
									</div>
								</li>
								
								<li class="sub_customizer sub_profile_additional_info_section">
									<label>Phone</label>
									<div class="input-group ">											
										 <input type="checkbox"  <?php if($show_profile_additional_phone_section == 'true'){ echo 'checked';} ?> data-id="show_profile_additional_phone_section" name="show_profile_additional_phone_section" data-toggle="toggle">
									</div>
								</li>
								
								<li class="sub_customizer sub_profile_additional_info_section">
									<label>Fax</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_additional_fax_section == 'true'){ echo 'checked';} ?> data-id="show_profile_additional_fax_section" name="show_profile_additional_fax_section" data-toggle="toggle">
									</div>
								</li>
								<li class="sub_customizer sub_profile_additional_info_section">
									<label>Company</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_additional_company_section == 'true'){ echo 'checked';} ?> data-id="show_profile_additional_company_section" name="show_profile_additional_company_section" data-toggle="toggle">
									</div>
								</li>
								<li class="sub_customizer sub_profile_additional_info_section">
									<label>Title</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_additional_title_section == 'true'){ echo 'checked';} ?> data-id="show_additional_title_section" name="show_additional_title_section" data-toggle="toggle">
									</div>
								</li>
								
								
								
								
									<li class="sub_customizer sub_profile_additional_info_section">
									<label>Paypal Email</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_additional_paypal_email_section == 'true'){ echo 'checked';} ?> data-id="show_profile_additional_paypal_email_section" name="show_profile_additional_paypal_email_section"  data-toggle="toggle">
									</div>
								</li>
								<li class="sub_customizer sub_profile_additional_info_section">
									<label>Opted Out</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_additional_opted_out_section == 'true'){ echo 'checked';} ?> data-id="show_profile_additional_opted_out_section" name="show_profile_additional_opted_out_section"  data-toggle="toggle">
									</div>
								</li>		
							
								
								
								<li class="customizer_main_heading">
									<label>Show Custom Fields?</label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_custom_fields_section == 'true'){ echo 'checked';} ?> data-id="show_custom_fields_section" name="show_custom_fields_section" data-toggle="toggle">
									</div>
								</li>
								
								<li class="sub_customizer sub_profile_custom_fields_section">
									<label>Select Custom Fields</label>
									<div class="input-group ">											
										 <select class="input-group form-control " multiple id="custom_fields_style" name="custom_fields_style">
											 <option value="all" <?php if(in_array('all',$custom_fields_style)){ echo  'selected=selected';}?>>All</option>
											<?php  
											
											$customFields = Dap_CustomFields::loadUserFacingCustomFields();
											
											foreach($customFields as $key=>$value){
												 $slected = '';
												if(in_array($value['id'],$custom_fields_style)){
													
													$slected = 'selected=selected';
												}
												echo "<option value='".$value['id']."' $slected >".$value['name']."</option>";
											}
											?>
										
										</select>
										 
										 
										 
									</div>
								</li>								
								<li class="customizer_main_heading">
									<label><b>Request Affiliate Coupon</b></label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_aff_req_section == 'true'){ echo 'checked';} ?> data-id="show_profile_aff_req_section" name="show_profile_aff_req_section" data-toggle="toggle">
										<div class="tool-tip"><i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">If you want to offer coupons to your affiliates, you have two options. </br> 1. You can create a coupon and assign to affiliates in the DAP Payments >> Coupons page.  </br> 2. You can have your affiliates request a coupon code here. You'll receive an email with the coupon code request. You can then create a new coupon and assign to affiliate. If you want option #2, enable the "Request Affiliate Coupon" here.</div></div>
									</div>
								</li>	
								<li class="sub_customizer sub_req_aff_coupon_info_section" style="display:<?= $show_profile_aff_req_section == 'true' ? 'block' : 'none' ?>">
									<label>Enter Admin Email <div class="tool-tip"><i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">An email will be sent to you (admin) when an affiliate requests a coupon</div></div></label>
									<div class="input-group aff_coupon_input_outer">											
										 <input type="text"  data-id="req_aff_coupon_admin_email" value="<?= $req_aff_coupon_admin_email ?>"  name="req_aff_coupon_admin_email">
									</div>
								</li>
								
								
								
								<li class="customizer_main_heading">
									<label><b>GDPR Consent</b></label>
									<div class="input-group ">											
										 <input type="checkbox" <?php if($show_profile_gdpr_section == 'true'){ echo 'checked';} ?> data-id="show_profile_gdpr_section" name="show_profile_gdpr_section" data-toggle="toggle">
									</div>
								</li>
								
								
								
							</ul>
						</div>
						
						<div class="customized-optional">
						  <div class="customizer_heading">FIle Upload</div>

							<div class="enable_file_upload_cust_outer">
								<ul class="templates-styles">
									<li>
										<div class="customized_toggle_outer">
											<label class="toggle_heading">Enable FIle Uploads</label>
											<input <?= isset($allow_file_upload) && $allow_file_upload == 'Y' ? 'checked' : '' ?> type="checkbox" id="check_enable_file_upload_cust" value="enable_file_upload_cust" data-toggle="toggle">
										</div>
									</li>		
									<li class="fileUploadCommonClass" style="display:<?= isset($allow_file_upload) && $allow_file_upload == 'Y' ? 'inline-block' : 'none' ?>">
										<div class="file-upload-option">
											<h3>Select File Types</h3>
											<div class="fileUploadCommonClass" style="display:<?= isset($allow_file_upload) && $allow_file_upload == 'Y' ? 'inline-block' : 'none' ?>">
												<div class="customized_toggle_outer">
													<label class="toggle_heading">Documents</label>
													<input type="checkbox"  <?= isset($allowedDoc) && $allowedDoc == true ? 'checked' : '' ?> id="check_file_type_doc" value="" data-toggle="toggle">
												</div>
												<span class="Required--input file_type_doc_common" style="display:<?= isset($allowedDoc) && $allowedDoc == true ? 'inline-block' : 'none' ?>">
													<span class="checkbox-custom-style">
														<input type="checkbox" <?= isset($allowed_types_of_file_arr) && in_array("doc", $allowed_types_of_file_arr) ? 'checked' : '' ?>  data-id="file_type_doc" id="file_type_doc" value="doc" class="custom-checkbox-input allowFileTypeCheckbox">
														<span class="custom--checkbox"></span>
												</span> .doc</span>
												<span class="Required--input file_type_doc_common" style="display:<?= isset($allowedDoc) && $allowedDoc == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox" <?= isset($allowed_types_of_file_arr) && in_array("xls", $allowed_types_of_file_arr) ? 'checked' : '' ?>   data-id="file_type_doc" id="file_type_doc" value="xls" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span>.xls</span>
												<span class="Required--input file_type_doc_common" style="display:<?= isset($allowedDoc) && $allowedDoc == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox" <?= isset($allowed_types_of_file_arr) && in_array("ppt", $allowed_types_of_file_arr) ? 'checked' : '' ?> data-id="file_type_ppt"   id="file_type_ppt" value="ppt" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span> .ppt</span>
												<span class="Required--input file_type_doc_common" style="display:<?= isset($allowedDoc) && $allowedDoc == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox" <?= isset($allowed_types_of_file_arr) && in_array("pdf", $allowed_types_of_file_arr) ? 'checked' : '' ?> data-id="file_type_pdf"   id="file_type_pdf" value="pdf" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span> .pdf</span>
											</div>

											<div class="fileUploadCommonClass" style="display:<?= isset($allow_file_upload) && $allow_file_upload == 'Y' ? 'inline-block' : 'none' ?>">
												<div class="customized_toggle_outer">
													<label class="toggle_heading">Images</label>
													<input type="checkbox" <?= isset($allowedImage) && $allowedImage == true ? 'checked' : '' ?> id="check_file_type_image" value="enable_file_upload_cust" data-toggle="toggle">
												</div>
												<span class="Required--input file_type_image_common" style="display:<?= isset($allowedImage) && $allowedImage == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox"  <?= isset($allowed_types_of_file_arr) && in_array("png", $allowed_types_of_file_arr) ? 'checked' : '' ?> data-id="file_type_png"  id="file_type_png" value="png" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span> .png</span>
												<span class="Required--input file_type_image_common" style="display:<?= isset($allowedImage) && $allowedImage == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox" <?= isset($allowed_types_of_file_arr) && in_array("gif", $allowed_types_of_file_arr) ? 'checked' : '' ?> data-id="file_type_gif"  id="file_type_gif" value="gif" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span> .gif</span>
												<span class="Required--input file_type_image_common" style="display:<?= isset($allowedImage) && $allowedImage == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox" <?= isset($allowed_types_of_file_arr) && in_array("jpg", $allowed_types_of_file_arr) ? 'checked' : '' ?>  data-id="file_type_jpg" id="file_type_jpg" value="jpg" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span> .jpg</span>
											</div>

											<div class="fileUploadCommonClass" style="display:<?= isset($allow_file_upload) && $allow_file_upload == 'Y' ? 'inline-block' : 'none' ?>">
												<div class="customized_toggle_outer">
													<label class="toggle_heading">Video</label>
													<input type="checkbox" <?= isset($allowedVideo) && $allowedVideo == true ? 'checked' : '' ?> id="videoTypeFileEnable" value="" data-toggle="toggle">
												</div>
												<span class="Required--input videoTypeFileCommon" style="display:<?= isset($allowedVideo) && $allowedVideo == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox" <?= isset($allowed_types_of_file_arr) && in_array("mpg", $allowed_types_of_file_arr) ? 'checked' : '' ?>  data-id="file_type_mpg" id="file_type_mpg" value="mpg" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span> .mpg</span>
												<span class="Required--input videoTypeFileCommon" style="display:<?= isset($allowedVideo) && $allowedVideo == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox" <?= isset($allowed_types_of_file_arr) && in_array("mov", $allowed_types_of_file_arr) ? 'checked' : '' ?>  data-id="file_type_mov" id="file_type_mov" value="mov" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span> .mov</span>
												<span class="Required--input videoTypeFileCommon" style="display:<?= isset($allowedVideo) && $allowedVideo == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox" <?= isset($allowed_types_of_file_arr) && in_array("wmv", $allowed_types_of_file_arr) ? 'checked' : '' ?>  data-id="file_type_wmv" id="file_type_wmv" value="wmv" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span> .wmv</span>
												<span class="Required--input videoTypeFileCommon" style="display:<?= isset($allowedVideo) && $allowedVideo == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox" <?= isset($allowed_types_of_file_arr) && in_array("mp4", $allowed_types_of_file_arr) ? 'checked' : '' ?>  data-id="file_type_mp4" id="file_type_mp4" value="mp4" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span> .mp4</span>
											</div>

											<div class="fileUploadCommonClass" style="display:<?= isset($allow_file_upload) && $allow_file_upload == 'Y' ? 'inline-block' : 'none' ?>">
												<div class="customized_toggle_outer">
													<label class="toggle_heading">Audio</label>
													<input type="checkbox" <?= isset($allowedAudio) && $allowedAudio == true ? 'checked' : '' ?> id="audioTypeFileEnable" value="" data-toggle="toggle">
												</div>
												<span class="Required--input audioTypeFileCommon" style="display:<?= isset($allowedAudio) && $allowedAudio == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox"  <?= isset($allowed_types_of_file_arr) && in_array("wav", $allowed_types_of_file_arr) ? 'checked' : '' ?> data-id="file_type_wav" id="file_typfile_type_wave_doc" value="wav" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span> .wav</span>
												<span class="Required--input audioTypeFileCommon" style="display:<?= isset($allowedAudio) && $allowedAudio == true ? 'inline-block' : 'none' ?>">
												<span class="checkbox-custom-style">
												<input type="checkbox" <?= isset($allowed_types_of_file_arr) && in_array("mp3", $allowed_types_of_file_arr) ? 'checked' : '' ?>  data-id="file_type_mp3" id="file_type_mp3" value="mp3" class="custom-checkbox-input allowFileTypeCheckbox">
												<span class="custom--checkbox"></span>
												</span> .mp3</span>
											</div>

											<div class="fileUploadCommonClass" style="display:<?= isset($allow_file_upload) && $allow_file_upload == 'Y' ? 'inline-block' : 'none' ?>">
												<div class="customized_toggle_outer custom_customized_toggle">
													<label class="toggle_heading">Max Upload Size </label>
													<input type="text" id="maxFileUploadSize" class="maxFileUploadSize" value="<?= isset($max_upload_size)  ? $max_upload_size : '2' ?>" data-toggle="toggle">
													<span>(In MB)</span>
												</div>
											</div>

											<div class="fileUploadCommonClass" style="display:<?= isset($allow_file_upload) && $allow_file_upload == 'Y' ? 'inline-block' : 'none' ?>">
												<div class="customized_toggle_outer custom_customized_toggle">
													<label class="toggle_heading">Max Number of files that users can upload</label>
													<input type="number" id="maxNumberOfFiles" value="<?= isset($max_number_of_file)  ? $max_number_of_file : '1' ?>" data-toggle="toggle">
												</div>
											</div>
											<div class="fileUploadCommonClass" style="display:<?= isset($allow_file_upload) && $allow_file_upload == 'Y' ? 'inline-block' : 'none' ?>">
												<div class="customized_toggle_outer custom_customized_toggle">
													<label class="toggle_heading">Admin Email (notification will be sent when a file is uploaded): </label>
													<input type="text" id="notifyFileUploadEmail" value="<?= isset($notify_file_upload_email)  ? $notify_file_upload_email : '' ?>" data-toggle="toggle">
												</div>
											</div>
										</div>
									</li>

									<li class="profile_show_section_option">
										<div class="customized_toggle_outer">
											<label class="toggle_heading">Display Already Uploaded Files</label>
											<input type="checkbox"  <?= isset($show_existing_files) && $show_existing_files == 'Y' ? 'checked' : '' ?> data-id="show_already_uploaded_files_section" name="show_already_uploaded_files_section" data-toggle="toggle">
											<div class="tool-tip"><i class="fa fa-info-circle" aria-hidden="true"></i><div class="toll-tip-desc">Enable this feature if you want to allow your users to upload files. Please <a target="_blank" href="https://digitalaccesspass.com/doc/">read this article</a> before you enable this feature. </div></div>
										</div>
									</li>	
								</ul>
							</div>

						</div>
					</div>
					
					<div class="col-sm-6 profile_center_part profile_htm_cutomizer">
						
						<?php if($mp_obj){ echo stripcslashes($mp_obj->getTemplateHtml()); }?>
						
					</div>
					<div class="profile_htm_cutomizer_link">
					 <?php if($mp_obj){ echo '<link rel="stylesheet" href="'.plugin_dir_url(__FILE__).'includes/templates/profile/'.$mp_obj->getTemplate().'/style.css?'.rand(10,1000).'">';	 }?>
					</div>
					
					<div class="col-sm-3 profile_right_part">
						<div class="customized-optional">
						  <div class="customizer_heading">Background Color </div>
							<ul class="templates-styles">
								<li class="show_orderbump_top_bottom_outer">
									<label>Account Information </label>
									<div class="input-group ">
									  <div id="account_background_color_div" class="input-group colorpicker-component">
									  <input type="text" value="<?php echo $account_background_color;?>" name="account_background_color" id="account_background_color" class="form-control temp_style_fields" />
									  <span class="input-group-addon">
										  <i style="background-color:<?php echo $account_background_color;?>"></i>
									   </span>
									  </div>
									</div>
								</li>
								<li class="show_orderbump_top_bottom_outer">
									<label>Change Password </label>
									<div class="input-group ">
									  <div id="change_pass_background_color_div" class="input-group colorpicker-component">
									  <input type="text" value="<?php echo $change_pass_background_color;?>" name="change_pass_background_color" id="change_pass_background_color" class="form-control temp_style_fields" />
									  <span class="input-group-addon">
										 <i style="background-color:<?php echo $change_pass_background_color;?>"></i>
									   </span>
									  </div>
									</div>
								</li>
								<li class="show_orderbump_top_bottom_outer">
									<label>Billing Information </label>
									<div class="input-group ">
									  <div id="billing_background_color_div" class="input-group colorpicker-component">
									  <input type="text" value="<?php echo $billing_background_color;?>" name="billing_background_color" id="billing_background_color" class="form-control temp_style_fields" />
									  <span class="input-group-addon">
										 <i style="background-color:<?php echo $billing_background_color;?>"></i>
									   </span>
									  </div>
									</div>
								</li>
								<li class="show_orderbump_top_bottom_outer">
									<label>Additional Information </label>
									<div class="input-group ">
									  <div id="additional_background_color_div" class="input-group colorpicker-component">
									  <input type="text" value="<?php echo $additional_background_color;?>" name="additional_background_color" id="additional_background_color" class="form-control temp_style_fields" />
									  <span class="input-group-addon">
										  <i style="background-color:<?php echo $additional_background_color;?>"></i>
									   </span>
									  </div>
									</div>
								</li>
								<li class="show_orderbump_top_bottom_outer">
									<label>GDPR</label>
									<div class="input-group ">
									  <div id="gdpr_background_color_div" class="input-group colorpicker-component">
									  <input type="text" value="<?php echo $gdpr_background_color;?>" name="gdpr_background_color" id="gdpr_background_color" class="form-control temp_style_fields" />
									  <span class="input-group-addon">
										  <i style="background-color:<?php echo $gdpr_background_color;?>"></i>
									   </span>
									  </div>
									</div>
								</li>
							</ul>
						</div>
						
						<div class="customized-optional">
						  <div class="customizer_heading">Template Style </div>
							<ul class="templates-styles">
								<li>
									<label>Template Alignment</label>
									<div class="input-group ">
										<select class="input-group form-control" id="dm_profile_temp_aligment" name="dm_profile_temp_aligment">
										<?php 
										$dm_profile_temp_aligment_array = array('center'=>'Center','left'=>'Left','right'=>'Right');

										foreach($dm_profile_temp_aligment_array as $key=>$value){
											$slected = '';
											if($key == $dm_profile_temp_aligment ){

											$slected = 'selected=selected';
											}
											echo "<option value='".$key."' $slected >$value</option>";
										}
										?>
											
											
										</select>
									</div>
							</li>
								
								<li class="customized_optional_single_column m_top_bottom">
									<label>Template Width</label>
									<div class="input-group ">
										<div class="input-group colorpicker-component">
											<input id="temp_frnt_wid" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="400" data-slider-max="1400" data-slider-step="1" data-slider-value="<?php echo $temp_frnt_wid;?>" name="temp_frnt_wid"/> 
										</div>
									</div>
								</li>
								<li class="show_orderbump_top_bottom_outer">
									<label>Template outer color</label>
									<div class="input-group ">
									  <div id="temp_background_outer_color_div" class="input-group colorpicker-component">
									  <input type="text" value="<?php echo $temp_background_outer_color;?>" name="temp_background_outer_color" id="temp_background_outer_color" class="form-control temp_style_fields" />
									  <span class="input-group-addon">
										  <i style="background-color:<?php echo $temp_background_outer_color;?>"></i>
									   </span>
									  </div>
									</div>
								</li>
								
								
								<li>
									<label>Border Style  </label>
									<div class="input-group ">
										<select class="input-group form-control" id="temp_frnt_bdr_style" name="temp_frnt_bdr_style">
											<?php 
											
											$temp_frnt_bdr_style_array = array('none'=>'None','solid'=>'Solid','dashed'=>'Dashed','dotted'=>'Dotted');
											
											foreach($temp_frnt_bdr_style_array as $key=>$value){
												 $slected = '';
												if($key == $str_frnt_bdr_style ){
													
													$slected = 'selected=selected';
												}
												echo "<option value='".$key."' $slected >$value</option>";
											}
											?>
										
										</select>
									</div>
								</li>
								<li>
									<label>Border Width</label>
									<div class="input-group ">
										<div class="input-group colorpicker-component m_top_bottom">
											<input id="temp_frnt_bdr_wid"  name="temp_frnt_bdr_wid" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="0" data-slider-max="50" data-slider-step="1" data-slider-value="<?php echo $temp_frnt_bdr_wid; ?>" /> 
										</div>
									</div>
								</li>
								<li>
									<label>Border Radius</label>
									<div class="input-group ">
										<div class="input-group colorpicker-component m_top_bottom">
											<input id="temp_frnt_br_radius"  name="temp_frnt_br_radius" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="0" data-slider-max="100" data-slider-step="1" data-slider-value="<?php echo $temp_frnt_br_radius; ?>" /> 
										</div>
									</div>
								</li>
								
								<li>
									<label>Border Color </label>
									<div class="input-group ">
									  <div id="temp_frnt_bdr_color_div" class="input-group colorpicker-component"> 
									  <input type="text" id="temp_frnt_bdr_color" value="<?php echo $temp_frnt_bdr_color;?>" name="temp_frnt_bdr_color" class="form-control" />
									  <span class="input-group-addon">
										  <i style="background-color:<?php echo $temp_frnt_bdr_color; ?>"></i>
									   </span>
									  </div>
									</div>
									
								</li>
								<li>
									<label>Padding Top </label>
									<div class="input-group ">
										<div class="input-group colorpicker-component m_top_bottom">
											<input id="temp_frnt_padd_top"  name="temp_frnt_padd_top" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="0" data-slider-max="100" data-slider-step="1" data-slider-value="<?php echo $temp_frnt_padd_top; ?>" /> 
										</div>
									</div>
								</li>
								<li>
									<label>Padding Bottom </label>
									<div class="input-group ">
										<div class="input-group colorpicker-component m_top_bottom">
											<input id="temp_frnt_padd_bottom"  name="temp_frnt_padd_bottom" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="0" data-slider-max="100" data-slider-step="1" data-slider-value="<?php echo $temp_frnt_padd_bottom; ?>" /> 
										</div>
									</div>
								</li>
							</ul>
						</div>
						
						
						
						
						
						
						<div class="customized-optional">
						  <div class="customizer_heading">Update Button Style </div>
							<ul class="templates-styles">
								<li class="customized_optional_single_column m_top_bottom">
									<label>Button Width</label>
									<div class="input-group ">
										<div class="input-group colorpicker-component">
											<input id="update_btn_frnt_wid" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="110" data-slider-max="300" data-slider-step="1" data-slider-value="<?php echo $update_btn_frnt_wid;?>" name="update_btn_frnt_wid"/> 
										</div>
									</div>
								</li>
								<li class="show_orderbump_top_bottom_outer">
									<label>Background color</label>
									<div class="input-group ">
									  <div id="update_btn_background_outer_color_div" class="input-group colorpicker-component">
									  <input type="text" value="<?php echo $update_btn_background_outer_color;?>" name="update_btn_background_outer_color" id="update_btn_background_outer_color" class="form-control update_btn_style_fields" />
									  <span class="input-group-addon">
										  <i style="background-color:<?php echo $update_btn_background_outer_color;?>"></i>
									   </span>
									  </div>
									</div>
								</li>
								
								
								<li>
									<label>Border Style  </label>
									<div class="input-group ">
										<select class="input-group form-control" id="update_btn_frnt_bdr_style" name="update_btn_frnt_bdr_style">
											<?php 
											
											$update_btn_frnt_bdr_style_array = array('none'=>'None','solid'=>'Solid','dashed'=>'Dashed','dotted'=>'Dotted');
											
											foreach($update_btn_frnt_bdr_style_array as $key=>$value){
												 $slected = '';
												if($key == $str_frnt_bdr_style ){
													
													$slected = 'selected=selected';
												}
												echo "<option value='".$key."' $slected >$value</option>";
											}
											?>
										
										</select>
									</div>
								</li>
								<li>
									<label>Border Width</label>
									<div class="input-group ">
										<div class="input-group colorpicker-component m_top_bottom">
											<input id="update_btn_frnt_bdr_wid"  name="update_btn_frnt_bdr_wid" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="0" data-slider-max="50" data-slider-step="1" data-slider-value="<?php echo $update_btn_frnt_bdr_wid; ?>" /> 
										</div>
									</div>
								</li>
								<li>
									<label>Border Radius</label>
									<div class="input-group ">
										<div class="input-group colorpicker-component m_top_bottom">
											<input id="update_btn_frnt_br_radius"  name="update_btn_frnt_br_radius" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="0" data-slider-max="100" data-slider-step="1" data-slider-value="<?php echo $update_btn_frnt_br_radius; ?>" /> 
										</div>
									</div>
								</li>
								
								<li>
									<label>Border Color </label>
									<div class="input-group ">
									  <div id="update_btn_frnt_bdr_color_div" class="input-group colorpicker-component"> 
									  <input type="text" id="update_btn_frnt_bdr_color" value="<?php echo $update_btn_frnt_bdr_color;?>" name="update_btn_frnt_bdr_color" class="form-control" />
									  <span class="input-group-addon">
										  <i style="background-color:<?php echo $update_btn_frnt_bdr_color; ?>"></i>
									   </span>
									  </div>
									</div>
									
								</li>
								
							</ul>
						</div>
						
						<div class="customized-optional">
						  <div class="customizer_heading">External Shadow Customizer</div>
							<ul class="templates-styles">
							 <li>
								<label>Blur Radius </label>
									<div class="input-group ">
										<div class="input-group colorpicker-component m_top_bottom">
											<input id="sprd_radius"  name="sprd_radius" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="0" data-slider-max="20" data-slider-step="1" data-slider-value="<?php echo $sprd_radius; ?>" /> 
										</div>
									</div>
								</li>
								<li>
									<label>Blur Radius </label>
									<div class="input-group ">
										<div class="input-group colorpicker-component m_top_bottom">
											<input id="blur_radius"  name="blur_radius" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="0" data-slider-max="20" data-slider-step="1" data-slider-value="<?php echo $blur_radius; ?>" /> 
										</div>
									</div>
								</li>
								<li>
									<label>Horizontal Length </label>
									<div class="input-group ">
										<div class="input-group colorpicker-component m_top_bottom">
											<input id="hor_lnth"  name="hor_lnth" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="0" data-slider-max="20" data-slider-step="1" data-slider-value="<?php echo $hor_lnth; ?>" /> 
										</div>
									</div>
								</li>
								<li>
									<label>Vertical Length </label>
									<div class="input-group ">
										<div class="input-group colorpicker-component m_top_bottom">
											<input id="ver_lnth"  name="ver_lnth" class="form-control" data-slider-id='ex1Slider' type="text" data-slider-min="0" data-slider-max="20" data-slider-step="1" data-slider-value="<?php echo $ver_lnth; ?>" /> 
										</div>
									</div>
								</li>
								<li>
									<label>Shadow Color  </label>
									<div class="input-group ">
										 <div id="shad_clr_div" class="input-group colorpicker-component">
										  <input type="text" value="<?php echo $shad_clr;?>" name="shad_clr" id="shad_clr" class="form-control temp_style_fields" />
										  <span class="input-group-addon">
											  <i style="background-color:<?php echo $shad_clr;?>"></i>
										   </span>
									  </div>
									</div> 
								</li>
							</ul>
						</div>
						
					</div>
				</div>
				
				<div class="tab_bottom_button">
					<button type="button" class="btn btn-success theme-btn" onclick="dap_member_goto_next_tab('#dap_member_profile_general')">
					<img src="<?php echo plugin_dir_url(__FILE__); ?>includes/images/prev-arrow.png" alt=""> Previous</button>
					<button type="button" class="btn btn-success theme-btn" onclick="dap_save_profile_info('#dap_member_profile_shortdetails')">Save & Next <img src="<?php echo plugin_dir_url(__FILE__); ?>includes/images/next-arrow.png" alt=""></button>
				</div>
			</div>
			
			<div class="tab-pane" id="dap_member_profile_shortdetails" role="tabpanel" aria-labelledby="template-tab">
				<div class="row">
					<div class="col-sm-12 my-5">
						<div class="dap_member_profile_details">
							
							<span class="check_heading">Here is your Profile page URL:</span>
							<span class="selected_page_url">
								<?php if($mp_obj){ ?>
								<a  href="<?php echo get_permalink($mp_obj->getPageId()); ?>" target="_blank"><?php echo get_permalink($mp_obj->getPageId()); ?></a>
								<?php } ?>	
							</span> 
							<br><br>
							
							<span class="check_heading">Here is your profile details Shortcode:</span><br><br>
							<div>
								<span id = "dynamic_copyable_text_profile" class="d-inline shortcode_display">
									<?php if($mp_obj){ ?>
								<?php echo dapMemberGetProfileShortcodeNameById($mp_obj->getId()); ?>
								<?php } ?>	
								</span>
								<span class="copy-btn theme-button" data-id="dynamic_copyable_text_profile" onclick="dap_member_copy_to_clipboard(this)"><i class="fa fa-files-o" aria-hidden="true"></i> Copy</span>
								
							
							</div>
							
						</div>
					</div>
				</div>
				
				<div class="tab_bottom_button">
					<button type="button" onclick="dap_member_goto_next_tab('#dap_member_profile_preview')" class="btn btn-success theme-btn"> <img src="<?php echo plugin_dir_url(__FILE__); ?>includes/images/prev-arrow.png" >Previous</button>

					<?php if(isset($mp_obj)){ ?>
					<button type="button" class="btn btn-success theme-btn" onclick="dap_save_profile_info()">Save</button>
					<?php } ?>
					<a class="btn btn-success theme-btn" href="<?php echo admin_url('admin.php?page=dap_member_pages') ?>">Return To Member Pages</a>
				</div>
			</div>
		</div>
	</div>
</div>		






<!-- perview tempate popup start -->
<div class="modal fade " id="dap_member_profile_preview_wrapper_modal">
	<div class="modal-dialog modal-lg">
	    <div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
				<i class="fa fa-close"></i></button>
				<h4 class="modal-title w-100" > Preview
				</h4>
			</div>
			<div class="modal-body">
			</div>
	    </div>
	</div>
 </div>
<!-- perview tempate popup end --> 

<style>
	ul.templates-styles li .input-group.aff_coupon_input_outer {width: 100%;margin: 5px 0 0 0;}

	.input-group.aff_coupon_input_outer input[type="text"] {width: 100%;margin: 0;}

.file-upload-option > h3 {font-size: 16px; margin: 0 0 10px 0; text-align: left; color: #F56640; display: inline-block; width: 100%; font-weight: bold; line-height: normal; }

.file-upload-option .fileUploadCommonClass {margin: 10px 0;}

.file-upload-option .fileUploadCommonClass .Required--input {width: auto;color: #626262;font-size: 14px;margin-right: 10px;}

.customized_toggle_outer .toggle_heading {font-weight: bold;color: #555;}

.file-upload-option .customized_toggle_outer + .Required--input {margin-bottom: 5px;}

.customized-optional ul li label.toggle_heading {width: 100%;}


.customized_toggle_outer.custom_customized_toggle input[type=text]#notifyFileUploadEmail {width: 100%;}

</style>

