<?php


$lldocroot = defined('SITEROOT') ? SITEROOT : $_SERVER['DOCUMENT_ROOT'];
if(file_exists($lldocroot . "/dap/dap-config.php")) include_once ($lldocroot . "/dap/dap-config.php");

if(file_exists(dirname(__FILE__)."/../../../dap-config.php")){
	include_once (dirname(__FILE__)."/../../../dap-config.php");
}
 
$user_id = $_REQUEST['user_id'];

if($user_id != ""){
	$user = Dap_User::loadUserById($user_id); //reload User object
	if(!isset($user)) {
		//send viewer to login page
		exit;
	} 
}else{
	if( !Dap_Session::isLoggedIn() ) { 
		//send viewer to login page
		exit;
	}
	else if( Dap_Session::isLoggedIn() ) { 
		//get userid
		$session = Dap_Session::getSession();
		$user = $session->getUser();
		$user = Dap_User::loadUserById($user->getId()); //reload User object
		if(!isset($user)) {
			//send viewer to login page
			exit;
		} 
	}
}

// get the HTML
ob_start();
//get/set variables for certificate	 
$productId = $_REQUEST['productId'];
$certificate_id = $_REQUEST['certificate_id'];
$product_name = 'Product A';
$certificate_html = '';
$admin_name = '';
$logo = '';
$width_selected = '1200';
$logo_width = '240';
$logo_height = '180';
$logo_width1 = '240px';
$logo_height1 = '180px';
$date = date("m-d-Y");
$fname = $user->getFirst_Name();
$lname = $user->getLast_Name();
$username = $fname." ".$lname;
$product_obj = Dap_Product::loadProduct($productId); 
if($product_obj) {
	$product_name = $product_obj->getName();
}

//$certificate_id =1;
//load Certificate by id
$certificate_obj = Dap_Certificate::loadById($certificate_id);
if($certificate_obj) {
	$certificate_html =$certificate_obj->getTemplateHtml();		 
	$admin_name = $certificate_obj->getAdminName();	
	$style_attrbutes = $certificate_obj->getCustomizerValues();   
	$style_attrbutes = explode("||",$style_attrbutes);
	$width_selected =  $style_attrbutes[0];
	$logo_width_old =  $style_attrbutes[1];
	$logo_height_old = $style_attrbutes[2];	
	if($logo_width_old ==""){
		$logo_width_old = '240';		 
	}	
	if($logo_height_old==""){		 
		$logo_height_old = '180';
	}	
	$logo_width_new = $logo_width_old-10;  
	$logo_height_new = $logo_height_old-10; 
	$logo_width1 = $logo_width_new."px";  
	$logo_height1 = $logo_height_new."px"; 
	$signature_img = $certificate_obj->getSignatureImg();
	$logo = $certificate_obj->getLogoImg();
	if($admin_name ==""){
		 $admin_name = '<img src="'.$signature_img.'" alt="Signature-img"   width="200px" height="40px" style="width:200px;height:40px">';		
	}	
} 
 
$logo_width = ' width="'.$logo_width1 .'" ';
$logo_height = ' height="'.$logo_height1 .'" ';	 
$certificate_html = str_replace( '%%NAME%%', $username, $certificate_html); 
$certificate_html = str_replace( '%%COURSE%%', $product_name, $certificate_html); 
$certificate_html = str_replace( '%%DATE%%', $date, $certificate_html);
$certificate_html = str_replace( '%%ADMIN_NAME%%', $admin_name, $certificate_html);	
$certificate_html = str_replace( '%%imgwidth%%', $logo_width, $certificate_html);
$certificate_html = str_replace( '%%imgheight%%', $logo_height, $certificate_html);
$certificate_html = str_replace( '%%imgwidth%%=""', $logo_width, $certificate_html);	 
$certificate_html = str_replace( '%%imgheight%%=""', $logo_height, $certificate_html);	
$certificate_html = str_replace( '%%IMGWIDTH%%', $logo_width, $certificate_html);	
$certificate_html = str_replace( '%%IMGHEIGHT%%', $logo_height, $certificate_html);
 
$siteurl = SITE_URL_DAP;

$cssurl =  $siteurl.'/dap/admin/templates/certificates/template1/template1.css';

$temp_content = ob_get_clean();	 
$style_css = '<style>'.file_get_contents($cssurl).'</style>';
$temp_content = $style_css;
$temp_content =  $certificate_html;
		 
$filename = "certificatepdffile";
//for the width
 
$page_dimension =  "@page { size: 1000pt 590pt; } .certificates-section {max-width: 1200px;width: 1200px;min-width: 1200px; } ";
if($width_selected =="900"){
	$page_dimension =  "@page { size: 700pt 580pt; }  .certificates-section {max-width: 700px;width: 700px;min-width: 700px; }  ";
}elseif($width_selected =="1000"){
	$page_dimension =  "@page { size: 800pt 590pt; }  .certificates-section {max-width: 1000px;width: 1000px;min-width: 1000px; } ";
}elseif($width_selected =="1100"){
	$page_dimension =  "@page { size: 900pt 590pt; } .certificates-section {max-width: 1100px;width: 1100px;min-width: 1100px; }  ";
}else{
	$page_dimension =  "@page { size: 1000pt 590pt; } .certificates-section {max-width: 1200px;width: 1200px;min-width: 1200px; }   ";
}

 
$demo = '
<html>
    <head>
        <style>
          '.$page_dimension.'  #certificates_outer1 {position: fixed;bottom: 0;top: 0;left: 0;  width: 100%;
 height: 700px;z-index: -1000;}.certificates-section {position: relative;margin: 0 auto;clear: both;font-family: "Montserrat", sans-serif;} .certificate-heading , .certificate-heading .heading_top {font-family: "Trajan Pro";}.certificate-heading {text-align: center;margin: 0px auto;width: 100%;max-width: 100%;box-sizing: border-box;padding: 70px 100px 40px;clear: both;}.heading_top {font-size: 65px;color: #f8f9f9;margin: 0;padding: 0;line-height: 1;display: block;width: 100%;vertical-align: middle;text-align: center;text-transform: initial;font-weight: normal;letter-spacing: 15px;}.add_course_certificates_wrapper .heading_top{font-size: 84px;}.certificate-heading small {font-size: 30px;color: #e5c055;font-weight: 700;font-family: "Raleway", sans-serif;display: block;width: 100%;margin: 2px 0 0 0;padding: 0;float: left;letter-spacing: 8px;text-transform: initial;}.add_course_certificates_wrapper .certificate-heading small{font-size: 36px;}.certificate-bottom-info .bottom-info-block label {margin: 0 !important;font-weight: 700;border-top: 1px solid #000;padding: 18px 0 0 0 !important;letter-spacing: 1.3px;}.certificate-bottom-info .bottom-info-block {float: left;}.certificate-bottom-info .bottom-info-block.date-block {float: right;}.award-img {text-align: center;margin: 0;padding: 0;width: 100%;margin-top: 40px;margin-bottom: 40px;clear: both;}.add_course_certificates_wrapper .award-img {width: 160px;height: 160px;margin: 0 auto; }.award-img img {vertical-align: middle;text-align: center;}.certificate-center-content {margin: 0;height: auto;overflow: hidden;padding: 30px 10px 0 !important;box-sizing: border-box;width: 100%;width: 500px;clear: both;vertical-align: middle; }.add_course_certificates_wrapper .certificate-center-content {margin:20px 0 0 ;}.certificate-center-content p {margin: 0 0 10px 0;padding: 0;color: #000000;font-size: 16px;line-height: 1;text-align: center;}.add_course_certificates_wrapper .certificate-center-content p {margin: 0px 0 0px 0;font-size: 18px;}.certificate-center-content .certificate-name-info {width: 100%;margin: 0 0 10px 0;padding: 0;text-align: center;color: #b98817;font-size: 22px;font-weight: 600;font-family: "Montserrat", sans-serif;font-style:normal;}.certificate-center-content .certificate-name-info em{  font-style:italic; }.add_course_certificates_wrapper .certificate-center-content .certificate-name-info {margin: 0px 0 0 0;font-size: 26px;}.certificate-center-content .course-name-info {width: 100%;margin: 10px 0 0px 0;padding: 0;text-align: center;color: #000000;font-size: 18px;font-weight: 600;font-family: "Montserrat", sans-serif;}.add_course_certificates_wrapper .certificate-center-content .course-name-info {margin: 0px 0 0 0;font-size: 20px;}.certificates-section {background-repeat: no-repeat;background-size: 100% 100%;text-align: center;}.certificates-section .certificate-heading {margin-top: 0;}.add_course_certificates_wrapper .certificates-section .certificate-heading {margin-top: 84px;}.certificate-bottom-info {padding: 0 100px;width: 100%;margin: 0px 0 0;}.add_course_certificates_wrapper .certificate-bottom-info {padding: 0 80px;margin: 30px 0 0;}.certificate-bottom-info table.table {margin: 0;border: none;}.certificate-bottom-info table.table tr th, .certificate-bottom-info table.table tr td {padding: 0;border: none;}.certificate-bottom-info .bottom-info-block {width: auto;min-width: 210px;text-align: center;color: #000000;font-size: 15px;line-height: normal;margin: 0;padding: 0;font-family: "Montserrat", sans-serif;}.add_course_certificates_wrapper .certificate-bottom-info .bottom-info-block {font-size: 18px;}.certificate-bottom-info .bottom-info-block p, .certificate-bottom-info .bottom-info-block label {margin: 0 0 17px 0;padding: 0;width: 100%;clear: both;white-space: nowrap;font-size: 16px;color: #000;font-family: helvetica;font-weight: 600;}.add_course_certificates_wrapper .certificate-bottom-info .bottom-info-block p , .add_course_certificates_wrapper .certificate-bottom-info .bottom-info-block label{margin: 0 0 0 0;}.certificate-bottom-info .bottom-info-block label {margin: 0;font-weight: 700;border-top: 0px solid #000;padding: 0 0 0 0;letter-spacing: 1.3px;}.add_course_certificates_wrapper .certificate-bottom-info .bottom-info-block label {padding: 18px 0 0 0;}.upper_case_font{text-transform: initial;}.certificates_table_outer{height: 280px ;width: 100%;}.award-img .award_img_inner{width:180px;height: auto;margin:30px auto 40px}.award-img .award_img_inner img{width:100%;height: 100%;}.date-block p:first-child{  padding-right: 10px;}
        </style>
    </head>
    <body>
         '.$temp_content.'
            
       
    </body>
</html>';

//echo $demo;die;
// include autoloader
require_once 'autoload.inc.php';

// reference the Dompdf namespace
use Dompdf\Dompdf;

 
// instantiate and use the dompdf class
$dompdf = new Dompdf(array('enable_remote' => true));
 
$dompdf->loadHtml($demo); 
// (Optional) Setup the paper size and orientation
$dompdf->setPaper('A4', 'landscape');

// Render the HTML as PDF
$dompdf->render();

// Output the generated PDF to Browser
$dompdf->stream($filename,array("Attachment"=>0));