jQuery("document").ready(function () {

	jQuery('#dap_member_manage_engagement_table').DataTable({
			"language": {
				"emptyTable": "No Shortcodes Found"
			},
			"order": [[ 2, "desc" ]],
			"fnInitComplete": function (){			 
				dap_member_hide_loader(); 
				jQuery('#dap_member_manage_engagement_table').show();				 
			}
	}); 
	
	dap_member_engagement_delete_by_id();
	
}); 



function dap_member_engagement_delete_by_id(){
	
	jQuery('.delete_member_enagegement_by_id').click(function(e){
		e.preventDefault();
		var id = jQuery(this).attr('data-id'); 
		swal({
		  title: "Are you sure?",
		  text: "Please confirm if you want to delete.",
		  icon: "warning",
		  buttons: true,
		  dangerMode: true,
		})
		.then((willDelete) => {
			if (willDelete) {
				dap_member_show_loader();
				jQuery.post(ajaxurl, {
						action: 'dapDeleteMemberEngagementByIdAjax',
						id: id,  
				}, function(response) {
					swal('Deleted Successfully!');
					dap_member_hide_loader();
					var table = jQuery('#dap_member_manage_engagement_table').DataTable();
					table.row(jQuery('tr.dap_member_manage_engagement_row_id_'+id)).remove().draw();
					//location.reload();
				});
			}else{
				return false;	
			}
		});
	});
	
}
